import { useDark, useToggle } from "@vueuse/core";
const isDark = useDark({
  storageKey: "pagoda-theme-appearance",
  initialValue: "light"
});
const toggleDark = useToggle(isDark);
export {
  isDark,
  toggleDark
};
