var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { datePickerProps } from "element-plus/es/index.mjs";
import { rangeProps } from "../../range/index.mjs";
import { withPropsDefaults, GET_EMPTY_ARR, GET_EMPTY_OBJ } from "pagoda-shared";
import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
const DateRangeTypes = ["month", "year", "date"];
const extendProps = buildProps({
  modelValue: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  type: {
    type: String,
    values: DateRangeTypes,
    default: "month"
  },
  startPickerProps: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  endPickerProps: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  }
});
const dateRangeProps = __spreadValues(__spreadProps(__spreadValues({}, withPropsDefaults(rangeProps, {
  rangeSeparator: "\u81F3"
})), {
  valueFormat: datePickerProps.valueFormat
}), extendProps);
export {
  DateRangeTypes,
  dateRangeProps
};
