var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent as _defineComponent } from "vue";
import { h, resolveDynamicComponent, markRaw } from "vue";
import { iconProps } from "./icon.mjs";
import { ElIcon } from "element-plus/es/index.mjs";
import { isPlainObject } from "lodash-unified";
import { createNamespace } from "../../utils/index.mjs";
const name = createNamespace("icon");
const __vue_sfc__ = /* @__PURE__ */ _defineComponent(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "icon",
  props: iconProps,
  setup(__props, { expose: __expose }) {
    __expose();
    const props = __props;
    const Icon = () => {
      if (isPlainObject(props.is)) {
        return h(markRaw(props.is));
      } else {
        const component = resolveDynamicComponent(props.is);
        if (isPlainObject(component)) {
          return h(markRaw(component));
        } else {
          return h("i", {
            class: props.is
          });
        }
      }
    };
    const __returned__ = { name, props, Icon, get ElIcon() {
      return ElIcon;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
import { resolveDynamicComponent as _resolveDynamicComponent, openBlock as _openBlock, createBlock as _createBlock, withCtx as _withCtx } from "vue";
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return _openBlock(), _createBlock($setup["ElIcon"], { class: "pagoda-icon" }, {
    default: _withCtx(() => [
      (_openBlock(), _createBlock(_resolveDynamicComponent($setup.Icon)))
    ]),
    _: 1
    /* STABLE */
  });
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
export {
  stdin_default as default
};
