declare const TableEditable: import("../utils/index").WithInstall<{
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        tableData: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => any[]) | (() => any[]) | (((new (...args: any[]) => any[]) | (() => any[])) | null)[], unknown, unknown, () => never[], boolean>;
        editableColumns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string[]) | (() => string[]) | (((new (...args: any[]) => string[]) | (() => string[])) | null)[], unknown, unknown, () => never[], boolean>;
        rowStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | (() => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | {
            (): (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
            new (): any;
            readonly prototype: any;
        } | (((new (...args: any[]) => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | (() => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | {
            (): (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
            new (): any;
            readonly prototype: any;
        }) | null)[], unknown, unknown, () => {}, boolean>;
        cellsStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/composables/use-table-store").CellsStatesCreator) | (() => import("./src/composables/use-table-store").CellsStatesCreator) | (((new (...args: any[]) => import("./src/composables/use-table-store").CellsStatesCreator) | (() => import("./src/composables/use-table-store").CellsStatesCreator)) | null)[], unknown, unknown, () => {}, boolean>;
        validators: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Record<string, import("./src/types").TableEditableValidator>) | (() => Record<string, import("./src/types").TableEditableValidator>) | (((new (...args: any[]) => Record<string, import("./src/types").TableEditableValidator>) | (() => Record<string, import("./src/types").TableEditableValidator>)) | null)[], unknown, unknown, () => {}, boolean>;
        defaultEditing: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        validateMsgTooltip: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        childrenKey: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>> & Readonly<{
        "onUpdate:table-data"?: ((v: any[]) => any) | undefined;
    }>, {
        editRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[]) => void;
        editColumns: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[]) => void;
        delRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => void;
        newRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
        insertRowsBeforeRow: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
        insertRowsAfterRow: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
        saveRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[]) => void;
        cancelRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], shouldRollbackData?: boolean) => void;
        saveCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[]) => void;
        cancelCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[], shouldRollbackData?: boolean) => void;
        validate: (cb: import("..").TableEditableCellValidateOwnCallback) => void;
        validateRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cb: import("..").TableEditableCellValidateOwnCallback, deep?: boolean) => void;
        validateCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[], cb: import("..").TableEditableCellValidateOwnCallback, deep?: boolean) => void;
        isEditing: () => boolean;
        store: {
            states: WeakMap<import("./src/composables/use-table-store").RowData, import("./src/composables/use-table-store").UseTableStoreRowConfig<Record<string, any>, Record<string, any>>>;
            tableCacheData: WeakMap<import("./src/composables/use-table-store").RowData, import("./src/composables/use-table-store").RowData>;
        } & {
            addStore: (data: import("./src/composables/use-table-store").UseTableStoreData, parent?: import("./src/composables/use-table-store").RowData) => void;
            resetStore: (data: import("./src/composables/use-table-store").UseTableStoreData) => void;
            setRowsStates: (rows: import("./src/composables/use-table-store").RowData[], states: import("./src/composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
            setCellStates: (rows: import("./src/composables/use-table-store").RowData[], cells: string[], states: import("./src/composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
            resetCellsStates: (data: import("./src/composables/use-table-store").UseTableStoreData) => void;
            setRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => void;
            getRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => (import("./src/composables/use-table-store").RowData | undefined)[];
            getCellStates: (row: import("./src/composables/use-table-store").RowData, cell: string) => Record<string, any> | undefined;
            getRowStates: (row: import("./src/composables/use-table-store").RowData) => Record<string, any> | undefined;
            getCellsStates: (row: import("./src/composables/use-table-store").RowData) => Record<string, Record<string, any>> | undefined;
            delRowsStates: (rows: import("./src/composables/use-table-store").RowData[]) => void;
            deleteRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => void;
            delRowsStore: (rows: import("./src/composables/use-table-store").RowData[]) => void;
        };
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "update:table-data": (v: any[]) => any;
    }, import("vue").PublicProps, {
        tableData: any[];
        rowStates: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
        cellsStates: import("./src/composables/use-table-store").CellsStatesCreator;
        editableColumns: string[];
        validators: Record<string, import("./src/types").TableEditableValidator>;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        tableData: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => any[]) | (() => any[]) | (((new (...args: any[]) => any[]) | (() => any[])) | null)[], unknown, unknown, () => never[], boolean>;
        editableColumns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string[]) | (() => string[]) | (((new (...args: any[]) => string[]) | (() => string[])) | null)[], unknown, unknown, () => never[], boolean>;
        rowStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | (() => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | {
            (): (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
            new (): any;
            readonly prototype: any;
        } | (((new (...args: any[]) => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | (() => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | {
            (): (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
            new (): any;
            readonly prototype: any;
        }) | null)[], unknown, unknown, () => {}, boolean>;
        cellsStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/composables/use-table-store").CellsStatesCreator) | (() => import("./src/composables/use-table-store").CellsStatesCreator) | (((new (...args: any[]) => import("./src/composables/use-table-store").CellsStatesCreator) | (() => import("./src/composables/use-table-store").CellsStatesCreator)) | null)[], unknown, unknown, () => {}, boolean>;
        validators: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Record<string, import("./src/types").TableEditableValidator>) | (() => Record<string, import("./src/types").TableEditableValidator>) | (((new (...args: any[]) => Record<string, import("./src/types").TableEditableValidator>) | (() => Record<string, import("./src/types").TableEditableValidator>)) | null)[], unknown, unknown, () => {}, boolean>;
        defaultEditing: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        validateMsgTooltip: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        childrenKey: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>> & Readonly<{
        "onUpdate:table-data"?: ((v: any[]) => any) | undefined;
    }>, {
        editRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[]) => void;
        editColumns: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[]) => void;
        delRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => void;
        newRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
        insertRowsBeforeRow: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
        insertRowsAfterRow: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
        saveRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[]) => void;
        cancelRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], shouldRollbackData?: boolean) => void;
        saveCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[]) => void;
        cancelCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[], shouldRollbackData?: boolean) => void;
        validate: (cb: import("..").TableEditableCellValidateOwnCallback) => void;
        validateRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cb: import("..").TableEditableCellValidateOwnCallback, deep?: boolean) => void;
        validateCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[], cb: import("..").TableEditableCellValidateOwnCallback, deep?: boolean) => void;
        isEditing: () => boolean;
        store: {
            states: WeakMap<import("./src/composables/use-table-store").RowData, import("./src/composables/use-table-store").UseTableStoreRowConfig<Record<string, any>, Record<string, any>>>;
            tableCacheData: WeakMap<import("./src/composables/use-table-store").RowData, import("./src/composables/use-table-store").RowData>;
        } & {
            addStore: (data: import("./src/composables/use-table-store").UseTableStoreData, parent?: import("./src/composables/use-table-store").RowData) => void;
            resetStore: (data: import("./src/composables/use-table-store").UseTableStoreData) => void;
            setRowsStates: (rows: import("./src/composables/use-table-store").RowData[], states: import("./src/composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
            setCellStates: (rows: import("./src/composables/use-table-store").RowData[], cells: string[], states: import("./src/composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
            resetCellsStates: (data: import("./src/composables/use-table-store").UseTableStoreData) => void;
            setRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => void;
            getRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => (import("./src/composables/use-table-store").RowData | undefined)[];
            getCellStates: (row: import("./src/composables/use-table-store").RowData, cell: string) => Record<string, any> | undefined;
            getRowStates: (row: import("./src/composables/use-table-store").RowData) => Record<string, any> | undefined;
            getCellsStates: (row: import("./src/composables/use-table-store").RowData) => Record<string, Record<string, any>> | undefined;
            delRowsStates: (rows: import("./src/composables/use-table-store").RowData[]) => void;
            deleteRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => void;
            delRowsStore: (rows: import("./src/composables/use-table-store").RowData[]) => void;
        };
    }, {}, {}, {}, {
        tableData: any[];
        rowStates: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
        cellsStates: import("./src/composables/use-table-store").CellsStatesCreator;
        editableColumns: string[];
        validators: Record<string, import("./src/types").TableEditableValidator>;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    tableData: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => any[]) | (() => any[]) | (((new (...args: any[]) => any[]) | (() => any[])) | null)[], unknown, unknown, () => never[], boolean>;
    editableColumns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string[]) | (() => string[]) | (((new (...args: any[]) => string[]) | (() => string[])) | null)[], unknown, unknown, () => never[], boolean>;
    rowStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | (() => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | {
        (): (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    } | (((new (...args: any[]) => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | (() => (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any) | {
        (): (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
        new (): any;
        readonly prototype: any;
    }) | null)[], unknown, unknown, () => {}, boolean>;
    cellsStates: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/composables/use-table-store").CellsStatesCreator) | (() => import("./src/composables/use-table-store").CellsStatesCreator) | (((new (...args: any[]) => import("./src/composables/use-table-store").CellsStatesCreator) | (() => import("./src/composables/use-table-store").CellsStatesCreator)) | null)[], unknown, unknown, () => {}, boolean>;
    validators: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Record<string, import("./src/types").TableEditableValidator>) | (() => Record<string, import("./src/types").TableEditableValidator>) | (((new (...args: any[]) => Record<string, import("./src/types").TableEditableValidator>) | (() => Record<string, import("./src/types").TableEditableValidator>)) | null)[], unknown, unknown, () => {}, boolean>;
    defaultEditing: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    validateMsgTooltip: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    childrenKey: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
}>> & Readonly<{
    "onUpdate:table-data"?: ((v: any[]) => any) | undefined;
}>, {
    editRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[]) => void;
    editColumns: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[]) => void;
    delRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => void;
    newRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
    insertRowsBeforeRow: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
    insertRowsAfterRow: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any[];
    saveRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[]) => void;
    cancelRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], shouldRollbackData?: boolean) => void;
    saveCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[]) => void;
    cancelCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[], shouldRollbackData?: boolean) => void;
    validate: (cb: import("..").TableEditableCellValidateOwnCallback) => void;
    validateRows: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cb: import("..").TableEditableCellValidateOwnCallback, deep?: boolean) => void;
    validateCells: (rows: import("element-plus/es/components/table/src/table/defaults").DefaultRow[], cells: string[], cb: import("..").TableEditableCellValidateOwnCallback, deep?: boolean) => void;
    isEditing: () => boolean;
    store: {
        states: WeakMap<import("./src/composables/use-table-store").RowData, import("./src/composables/use-table-store").UseTableStoreRowConfig<Record<string, any>, Record<string, any>>>;
        tableCacheData: WeakMap<import("./src/composables/use-table-store").RowData, import("./src/composables/use-table-store").RowData>;
    } & {
        addStore: (data: import("./src/composables/use-table-store").UseTableStoreData, parent?: import("./src/composables/use-table-store").RowData) => void;
        resetStore: (data: import("./src/composables/use-table-store").UseTableStoreData) => void;
        setRowsStates: (rows: import("./src/composables/use-table-store").RowData[], states: import("./src/composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
        setCellStates: (rows: import("./src/composables/use-table-store").RowData[], cells: string[], states: import("./src/composables/use-table-store").UseTableStoreRowConfig["states"]) => void;
        resetCellsStates: (data: import("./src/composables/use-table-store").UseTableStoreData) => void;
        setRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => void;
        getRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => (import("./src/composables/use-table-store").RowData | undefined)[];
        getCellStates: (row: import("./src/composables/use-table-store").RowData, cell: string) => Record<string, any> | undefined;
        getRowStates: (row: import("./src/composables/use-table-store").RowData) => Record<string, any> | undefined;
        getCellsStates: (row: import("./src/composables/use-table-store").RowData) => Record<string, Record<string, any>> | undefined;
        delRowsStates: (rows: import("./src/composables/use-table-store").RowData[]) => void;
        deleteRowsCache: (rows: import("./src/composables/use-table-store").RowData[]) => void;
        delRowsStore: (rows: import("./src/composables/use-table-store").RowData[]) => void;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "update:table-data": (v: any[]) => any;
}, string, {
    tableData: any[];
    rowStates: (row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, parent?: import("element-plus/es/components/table/src/table/defaults").DefaultRow) => any;
    cellsStates: import("./src/composables/use-table-store").CellsStatesCreator;
    editableColumns: string[];
    validators: Record<string, import("./src/types").TableEditableValidator>;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {
        default?(_: {}): any;
    };
})>;
export * from './src/types';
export * from './src/tableEditable';
export default TableEditable;
export { TableEditable };
declare module 'vue' {
    interface GlobalComponents {
        PagodaTableEditable: typeof TableEditable;
    }
}
