declare const VirtualTable: import("../utils/index").WithInstall<{
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        wrapperHeight: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        emptyText: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        request: {
            readonly type: import("vue").PropType<import("..").TableRequestHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRequest: {
            readonly type: import("vue").PropType<(currentPage: number, pageSize: number, sortable?: import("element-plus").Sort | null) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        columns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").VirtualTableColumn<any>[]) | (() => import("./src/types").VirtualTableColumn<any>[]) | (((new (...args: any[]) => import("./src/types").VirtualTableColumn<any>[]) | (() => import("./src/types").VirtualTableColumn<any>[])) | null)[], unknown, unknown, () => never[], boolean>;
        autoRequest: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        pagination: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("..").TablePaginationProps) | (() => import("..").TablePaginationProps) | (((new (...args: any[]) => import("..").TablePaginationProps) | (() => import("..").TablePaginationProps)) | null)[], unknown, unknown, () => {}, boolean>;
        data: {
            type: import("vue").PropType<unknown>;
        };
        height: {
            type: import("vue").PropType<unknown>;
        };
        class: StringConstructor;
        style: {
            readonly type: import("vue").PropType<import("vue").CSSProperties>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onScroll: {
            readonly type: import("vue").PropType<(...args: any[]) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        fixed: BooleanConstructor;
        maxHeight: NumberConstructor;
        headerClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus").SortBy) | (() => import("element-plus").SortBy) | ((new (...args: any[]) => import("element-plus").SortBy) | (() => import("element-plus").SortBy))[], unknown, unknown, () => {
            key: import("element-plus/es/components/table-v2/src/types").KeyType;
            order: import("element-plus").TableV2SortOrder;
        }, boolean>;
        rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
        scrollbarAlwaysOn: BooleanConstructor;
        cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
        estimatedRowHeight: {
            readonly default: undefined;
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            readonly __epPropKey: true;
        };
        headerProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        headerCellProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
        footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        rowClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        rowProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        cellProps: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        dataGetter: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        fixedData: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        expandColumnKey: StringConstructor;
        expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        useIsScrolling: BooleanConstructor;
        indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus").SortState) | (() => import("element-plus").SortState) | ((new (...args: any[]) => import("element-plus").SortState) | (() => import("element-plus").SortState))[], unknown, unknown, undefined, boolean>;
        onColumnSort: {
            readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onExpandedRowsChange: {
            readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onEndReached: {
            readonly type: import("vue").PropType<(distance: number) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRowExpand: {
            readonly type: import("vue").PropType<import("element-plus").RowExpandHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRowsRendered: {
            readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        rowEventHandlers: {
            readonly type: import("vue").PropType<import("element-plus").RowEventHandlers>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>> & Readonly<{
        "onSelection-change"?: ((selection: any[]) => any) | undefined;
    }>, {
        toggleRowSelection(row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, selected?: boolean): void;
        getSelectionRows: () => any[];
        clearSelection: () => void;
        toggleAllSelection: import("lodash-unified").DebouncedFunc<() => void>;
        selection: import("vue").Ref<any[], any[] | import("./src/composables/use-selection").Selection>;
        isAllSelected: import("vue").Ref<boolean, boolean>;
        elTableV2Ctx: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, {}, {}, {}, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }> | undefined, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, {}, {}, {}, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }> | undefined>;
        tableData: import("vue").ComputedRef<any[]>;
        refresh: () => Promise<void>;
        refreshCurrentPage: () => Promise<void>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "selection-change": (selection: any[]) => any;
    }, import("vue").PublicProps, {
        fixed: boolean;
        columns: import("./src/types").VirtualTableColumn<any>[];
        autoRequest: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        sortBy: import("element-plus").SortBy;
        pagination: import("..").TablePaginationProps;
        rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
        scrollbarAlwaysOn: boolean;
        cache: number;
        estimatedRowHeight: number;
        headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
        footerHeight: number;
        rowHeight: number;
        expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        useIsScrolling: boolean;
        indentSize: number;
        iconSize: number;
        hScrollbarSize: number;
        vScrollbarSize: number;
        sortState: import("element-plus").SortState;
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        wrapperHeight: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        emptyText: {
            readonly type: import("vue").PropType<string>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        request: {
            readonly type: import("vue").PropType<import("..").TableRequestHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRequest: {
            readonly type: import("vue").PropType<(currentPage: number, pageSize: number, sortable?: import("element-plus").Sort | null) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        columns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").VirtualTableColumn<any>[]) | (() => import("./src/types").VirtualTableColumn<any>[]) | (((new (...args: any[]) => import("./src/types").VirtualTableColumn<any>[]) | (() => import("./src/types").VirtualTableColumn<any>[])) | null)[], unknown, unknown, () => never[], boolean>;
        autoRequest: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
        pagination: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("..").TablePaginationProps) | (() => import("..").TablePaginationProps) | (((new (...args: any[]) => import("..").TablePaginationProps) | (() => import("..").TablePaginationProps)) | null)[], unknown, unknown, () => {}, boolean>;
        data: {
            type: import("vue").PropType<unknown>;
        };
        height: {
            type: import("vue").PropType<unknown>;
        };
        class: StringConstructor;
        style: {
            readonly type: import("vue").PropType<import("vue").CSSProperties>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onScroll: {
            readonly type: import("vue").PropType<(...args: any[]) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        fixed: BooleanConstructor;
        maxHeight: NumberConstructor;
        headerClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus").SortBy) | (() => import("element-plus").SortBy) | ((new (...args: any[]) => import("element-plus").SortBy) | (() => import("element-plus").SortBy))[], unknown, unknown, () => {
            key: import("element-plus/es/components/table-v2/src/types").KeyType;
            order: import("element-plus").TableV2SortOrder;
        }, boolean>;
        rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
        scrollbarAlwaysOn: BooleanConstructor;
        cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
        estimatedRowHeight: {
            readonly default: undefined;
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            readonly __epPropKey: true;
        };
        headerProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        headerCellProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
        footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        rowClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        rowProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        cellProps: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        dataGetter: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        fixedData: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        expandColumnKey: StringConstructor;
        expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        useIsScrolling: BooleanConstructor;
        indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus").SortState) | (() => import("element-plus").SortState) | ((new (...args: any[]) => import("element-plus").SortState) | (() => import("element-plus").SortState))[], unknown, unknown, undefined, boolean>;
        onColumnSort: {
            readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onExpandedRowsChange: {
            readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onEndReached: {
            readonly type: import("vue").PropType<(distance: number) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRowExpand: {
            readonly type: import("vue").PropType<import("element-plus").RowExpandHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onRowsRendered: {
            readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        rowEventHandlers: {
            readonly type: import("vue").PropType<import("element-plus").RowEventHandlers>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>> & Readonly<{
        "onSelection-change"?: ((selection: any[]) => any) | undefined;
    }>, {
        toggleRowSelection(row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, selected?: boolean): void;
        getSelectionRows: () => any[];
        clearSelection: () => void;
        toggleAllSelection: import("lodash-unified").DebouncedFunc<() => void>;
        selection: import("vue").Ref<any[], any[] | import("./src/composables/use-selection").Selection>;
        isAllSelected: import("vue").Ref<boolean, boolean>;
        elTableV2Ctx: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, {}, {}, {}, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }> | undefined, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
            readonly estimatedRowHeight: {
                readonly default: undefined;
                readonly type: import("vue").PropType<number>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                readonly __epPropKey: true;
            };
            readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
            readonly headerClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerCellProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
            readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
            readonly rowClass: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowProps: {
                readonly type: import("vue").PropType<any>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
            readonly cellProps: {
                readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly columns: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly data: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly dataGetter: {
                readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly fixedData: {
                readonly type: import("vue").PropType<any[]>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly expandColumnKey: StringConstructor;
            readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
            readonly class: StringConstructor;
            readonly fixed: BooleanConstructor;
            readonly style: {
                readonly type: import("vue").PropType<import("vue").CSSProperties>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly width: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly height: {
                readonly type: import("vue").PropType<number>;
                readonly required: true;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly maxHeight: NumberConstructor;
            readonly useIsScrolling: BooleanConstructor;
            readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
            readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
            readonly scrollbarAlwaysOn: BooleanConstructor;
            readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
                key: import("element-plus/es/components/table-v2/src/types").KeyType;
                order: import("element-plus/es/element-plus").TableV2SortOrder;
            }, boolean>;
            readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
            readonly onColumnSort: {
                readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onExpandedRowsChange: {
                readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onEndReached: {
                readonly type: import("vue").PropType<(distance: number) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowExpand: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onScroll: {
                readonly type: import("vue").PropType<(...args: any[]) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly onRowsRendered: {
                readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
            readonly rowEventHandlers: {
                readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
                readonly required: false;
                readonly validator: ((val: unknown) => boolean) | undefined;
                __epPropKey: true;
            };
        }>>, () => JSX.Element, {}, {}, {}, {
            readonly fixed: boolean;
            readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
            readonly useIsScrolling: boolean;
            readonly scrollbarAlwaysOn: boolean;
            readonly cache: number;
            readonly estimatedRowHeight: number;
            readonly rowHeight: number;
            readonly hScrollbarSize: number;
            readonly vScrollbarSize: number;
            readonly sortBy: import("element-plus/es/element-plus").SortBy;
            readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
            readonly footerHeight: number;
            readonly indentSize: number;
            readonly iconSize: number;
            readonly sortState: import("element-plus/es/element-plus").SortState;
            readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
            readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        }> | undefined>;
        tableData: import("vue").ComputedRef<any[]>;
        refresh: () => Promise<void>;
        refreshCurrentPage: () => Promise<void>;
    }, {}, {}, {}, {
        fixed: boolean;
        columns: import("./src/types").VirtualTableColumn<any>[];
        autoRequest: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
        sortBy: import("element-plus").SortBy;
        pagination: import("..").TablePaginationProps;
        rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
        scrollbarAlwaysOn: boolean;
        cache: number;
        estimatedRowHeight: number;
        headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
        footerHeight: number;
        rowHeight: number;
        expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        useIsScrolling: boolean;
        indentSize: number;
        iconSize: number;
        hScrollbarSize: number;
        vScrollbarSize: number;
        sortState: import("element-plus").SortState;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    wrapperHeight: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(StringConstructor | NumberConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    emptyText: {
        readonly type: import("vue").PropType<string>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    request: {
        readonly type: import("vue").PropType<import("..").TableRequestHandler>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onRequest: {
        readonly type: import("vue").PropType<(currentPage: number, pageSize: number, sortable?: import("element-plus").Sort | null) => void>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    columns: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").VirtualTableColumn<any>[]) | (() => import("./src/types").VirtualTableColumn<any>[]) | (((new (...args: any[]) => import("./src/types").VirtualTableColumn<any>[]) | (() => import("./src/types").VirtualTableColumn<any>[])) | null)[], unknown, unknown, () => never[], boolean>;
    autoRequest: import("element-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    pagination: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("..").TablePaginationProps) | (() => import("..").TablePaginationProps) | (((new (...args: any[]) => import("..").TablePaginationProps) | (() => import("..").TablePaginationProps)) | null)[], unknown, unknown, () => {}, boolean>;
    data: {
        type: import("vue").PropType<unknown>;
    };
    height: {
        type: import("vue").PropType<unknown>;
    };
    class: StringConstructor;
    style: {
        readonly type: import("vue").PropType<import("vue").CSSProperties>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onScroll: {
        readonly type: import("vue").PropType<(...args: any[]) => void>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    fixed: BooleanConstructor;
    maxHeight: NumberConstructor;
    headerClass: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus").SortBy) | (() => import("element-plus").SortBy) | ((new (...args: any[]) => import("element-plus").SortBy) | (() => import("element-plus").SortBy))[], unknown, unknown, () => {
        key: import("element-plus/es/components/table-v2/src/types").KeyType;
        order: import("element-plus").TableV2SortOrder;
    }, boolean>;
    rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
    scrollbarAlwaysOn: BooleanConstructor;
    cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
    estimatedRowHeight: {
        readonly default: undefined;
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        readonly __epPropKey: true;
    };
    headerProps: {
        readonly type: import("vue").PropType<any>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    headerCellProps: {
        readonly type: import("vue").PropType<any>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
    footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
    rowClass: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    rowProps: {
        readonly type: import("vue").PropType<any>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
    cellProps: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    dataGetter: {
        readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    fixedData: {
        readonly type: import("vue").PropType<any[]>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    expandColumnKey: StringConstructor;
    expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
    defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
    useIsScrolling: BooleanConstructor;
    indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
    iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
    hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
    vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
    sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus").SortState) | (() => import("element-plus").SortState) | ((new (...args: any[]) => import("element-plus").SortState) | (() => import("element-plus").SortState))[], unknown, unknown, undefined, boolean>;
    onColumnSort: {
        readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onExpandedRowsChange: {
        readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onEndReached: {
        readonly type: import("vue").PropType<(distance: number) => void>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onRowExpand: {
        readonly type: import("vue").PropType<import("element-plus").RowExpandHandler>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onRowsRendered: {
        readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    rowEventHandlers: {
        readonly type: import("vue").PropType<import("element-plus").RowEventHandlers>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
}>> & Readonly<{
    "onSelection-change"?: ((selection: any[]) => any) | undefined;
}>, {
    toggleRowSelection(row: import("element-plus/es/components/table/src/table/defaults").DefaultRow, selected?: boolean): void;
    getSelectionRows: () => any[];
    clearSelection: () => void;
    toggleAllSelection: import("lodash-unified").DebouncedFunc<() => void>;
    selection: import("vue").Ref<any[], any[] | import("./src/composables/use-selection").Selection>;
    isAllSelected: import("vue").Ref<boolean, boolean>;
    elTableV2Ctx: import("vue").Ref<import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
        readonly estimatedRowHeight: {
            readonly default: undefined;
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            readonly __epPropKey: true;
        };
        readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
        readonly headerClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerCellProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
        readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly rowClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        readonly cellProps: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly columns: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly data: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly dataGetter: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly fixedData: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly expandColumnKey: StringConstructor;
        readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly class: StringConstructor;
        readonly fixed: BooleanConstructor;
        readonly style: {
            readonly type: import("vue").PropType<import("vue").CSSProperties>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly width: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly height: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly maxHeight: NumberConstructor;
        readonly useIsScrolling: BooleanConstructor;
        readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly scrollbarAlwaysOn: BooleanConstructor;
        readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
            key: import("element-plus/es/components/table-v2/src/types").KeyType;
            order: import("element-plus/es/element-plus").TableV2SortOrder;
        }, boolean>;
        readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
        readonly onColumnSort: {
            readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onExpandedRowsChange: {
            readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onEndReached: {
            readonly type: import("vue").PropType<(distance: number) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowExpand: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onScroll: {
            readonly type: import("vue").PropType<(...args: any[]) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowsRendered: {
            readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowEventHandlers: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
        readonly fixed: boolean;
        readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
        readonly useIsScrolling: boolean;
        readonly scrollbarAlwaysOn: boolean;
        readonly cache: number;
        readonly estimatedRowHeight: number;
        readonly rowHeight: number;
        readonly hScrollbarSize: number;
        readonly vScrollbarSize: number;
        readonly sortBy: import("element-plus/es/element-plus").SortBy;
        readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
        readonly footerHeight: number;
        readonly indentSize: number;
        readonly iconSize: number;
        readonly sortState: import("element-plus/es/element-plus").SortState;
        readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
        readonly estimatedRowHeight: {
            readonly default: undefined;
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            readonly __epPropKey: true;
        };
        readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
        readonly headerClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerCellProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
        readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly rowClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        readonly cellProps: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly columns: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly data: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly dataGetter: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly fixedData: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly expandColumnKey: StringConstructor;
        readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly class: StringConstructor;
        readonly fixed: BooleanConstructor;
        readonly style: {
            readonly type: import("vue").PropType<import("vue").CSSProperties>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly width: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly height: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly maxHeight: NumberConstructor;
        readonly useIsScrolling: BooleanConstructor;
        readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly scrollbarAlwaysOn: BooleanConstructor;
        readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
            key: import("element-plus/es/components/table-v2/src/types").KeyType;
            order: import("element-plus/es/element-plus").TableV2SortOrder;
        }, boolean>;
        readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
        readonly onColumnSort: {
            readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onExpandedRowsChange: {
            readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onEndReached: {
            readonly type: import("vue").PropType<(distance: number) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowExpand: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onScroll: {
            readonly type: import("vue").PropType<(...args: any[]) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowsRendered: {
            readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowEventHandlers: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>>, () => JSX.Element, {}, {}, {}, {
        readonly fixed: boolean;
        readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
        readonly useIsScrolling: boolean;
        readonly scrollbarAlwaysOn: boolean;
        readonly cache: number;
        readonly estimatedRowHeight: number;
        readonly rowHeight: number;
        readonly hScrollbarSize: number;
        readonly vScrollbarSize: number;
        readonly sortBy: import("element-plus/es/element-plus").SortBy;
        readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
        readonly footerHeight: number;
        readonly indentSize: number;
        readonly iconSize: number;
        readonly sortState: import("element-plus/es/element-plus").SortState;
        readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
    }> | undefined, import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
        readonly estimatedRowHeight: {
            readonly default: undefined;
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            readonly __epPropKey: true;
        };
        readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
        readonly headerClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerCellProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
        readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly rowClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        readonly cellProps: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly columns: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly data: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly dataGetter: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly fixedData: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly expandColumnKey: StringConstructor;
        readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly class: StringConstructor;
        readonly fixed: BooleanConstructor;
        readonly style: {
            readonly type: import("vue").PropType<import("vue").CSSProperties>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly width: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly height: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly maxHeight: NumberConstructor;
        readonly useIsScrolling: BooleanConstructor;
        readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly scrollbarAlwaysOn: BooleanConstructor;
        readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
            key: import("element-plus/es/components/table-v2/src/types").KeyType;
            order: import("element-plus/es/element-plus").TableV2SortOrder;
        }, boolean>;
        readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
        readonly onColumnSort: {
            readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onExpandedRowsChange: {
            readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onEndReached: {
            readonly type: import("vue").PropType<(distance: number) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowExpand: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onScroll: {
            readonly type: import("vue").PropType<(...args: any[]) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowsRendered: {
            readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowEventHandlers: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>>, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, {
        readonly fixed: boolean;
        readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
        readonly useIsScrolling: boolean;
        readonly scrollbarAlwaysOn: boolean;
        readonly cache: number;
        readonly estimatedRowHeight: number;
        readonly rowHeight: number;
        readonly hScrollbarSize: number;
        readonly vScrollbarSize: number;
        readonly sortBy: import("element-plus/es/element-plus").SortBy;
        readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
        readonly footerHeight: number;
        readonly indentSize: number;
        readonly iconSize: number;
        readonly sortState: import("element-plus/es/element-plus").SortState;
        readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        readonly cache: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, never, never, 2, false>;
        readonly estimatedRowHeight: {
            readonly default: undefined;
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            readonly __epPropKey: true;
        };
        readonly rowKey: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown, "id", boolean>;
        readonly headerClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").HeaderClassNameGetter<any>) | (() => string | import("element-plus").HeaderClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerCellProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly headerHeight: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown, 50, boolean>;
        readonly footerHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 0, boolean>;
        readonly rowClass: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>) | ((new (...args: any[]) => string | import("element-plus").RowClassNameGetter<any>) | (() => string | import("element-plus").RowClassNameGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowProps: {
            readonly type: import("vue").PropType<any>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowHeight: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 50, boolean>;
        readonly cellProps: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | ((new (...args: any[]) => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>) | (() => Record<string, any> | import("element-plus").ExtraCellPropGetter<any>))[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly columns: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/common").AnyColumn[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly data: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly dataGetter: {
            readonly type: import("vue").PropType<import("element-plus/es/components/table-v2/src/types").DataGetter<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly fixedData: {
            readonly type: import("vue").PropType<any[]>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly expandColumnKey: StringConstructor;
        readonly expandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly defaultExpandedRowKeys: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]) | ((new (...args: any[]) => import("element-plus/es/components/table-v2/src/types").KeyType[]) | (() => import("element-plus/es/components/table-v2/src/types").KeyType[]))[], unknown, unknown, () => never[], boolean>;
        readonly class: StringConstructor;
        readonly fixed: BooleanConstructor;
        readonly style: {
            readonly type: import("vue").PropType<import("vue").CSSProperties>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly width: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly height: {
            readonly type: import("vue").PropType<number>;
            readonly required: true;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly maxHeight: NumberConstructor;
        readonly useIsScrolling: BooleanConstructor;
        readonly indentSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly iconSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 12, boolean>;
        readonly hScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly vScrollbarSize: import("element-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 6, boolean>;
        readonly scrollbarAlwaysOn: BooleanConstructor;
        readonly sortBy: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortBy) | (() => import("element-plus/es/element-plus").SortBy))[], unknown, unknown, () => {
            key: import("element-plus/es/components/table-v2/src/types").KeyType;
            order: import("element-plus/es/element-plus").TableV2SortOrder;
        }, boolean>;
        readonly sortState: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState) | ((new (...args: any[]) => import("element-plus/es/element-plus").SortState) | (() => import("element-plus/es/element-plus").SortState))[], unknown, unknown, undefined, boolean>;
        readonly onColumnSort: {
            readonly type: import("vue").PropType<import("element-plus").ColumnSortHandler<any>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onExpandedRowsChange: {
            readonly type: import("vue").PropType<import("element-plus").ExpandedRowsChangeHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onEndReached: {
            readonly type: import("vue").PropType<(distance: number) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowExpand: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowExpandHandler>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onScroll: {
            readonly type: import("vue").PropType<(...args: any[]) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly onRowsRendered: {
            readonly type: import("vue").PropType<(params: import("element-plus/es/components/table-v2/src/grid").onRowRenderedParams) => void>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        readonly rowEventHandlers: {
            readonly type: import("vue").PropType<import("element-plus/es/element-plus").RowEventHandlers>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
    }>>, () => JSX.Element, {}, {}, {}, {
        readonly fixed: boolean;
        readonly rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
        readonly useIsScrolling: boolean;
        readonly scrollbarAlwaysOn: boolean;
        readonly cache: number;
        readonly estimatedRowHeight: number;
        readonly rowHeight: number;
        readonly hScrollbarSize: number;
        readonly vScrollbarSize: number;
        readonly sortBy: import("element-plus/es/element-plus").SortBy;
        readonly headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
        readonly footerHeight: number;
        readonly indentSize: number;
        readonly iconSize: number;
        readonly sortState: import("element-plus/es/element-plus").SortState;
        readonly expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
        readonly defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
    }> | undefined>;
    tableData: import("vue").ComputedRef<any[]>;
    refresh: () => Promise<void>;
    refreshCurrentPage: () => Promise<void>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "selection-change": (selection: any[]) => any;
}, string, {
    fixed: boolean;
    columns: import("./src/types").VirtualTableColumn<any>[];
    autoRequest: import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    sortBy: import("element-plus").SortBy;
    pagination: import("..").TablePaginationProps;
    rowKey: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType) | ((new (...args: any[]) => string | number | symbol) | (() => import("element-plus/es/components/table-v2/src/types").KeyType))[], unknown, unknown>;
    scrollbarAlwaysOn: boolean;
    cache: number;
    estimatedRowHeight: number;
    headerHeight: import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => number | number[]) | (() => number | number[]) | ((new (...args: any[]) => number | number[]) | (() => number | number[]))[], unknown, unknown>;
    footerHeight: number;
    rowHeight: number;
    expandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
    defaultExpandedRowKeys: import("element-plus/es/components/table-v2/src/types").KeyType[];
    useIsScrolling: boolean;
    indentSize: number;
    iconSize: number;
    hScrollbarSize: number;
    vScrollbarSize: number;
    sortState: import("element-plus").SortState;
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: Partial<Record<string, (_: any) => any>> & {
        empty?(_: {}): any;
        "after-table"?(_: {}): any;
    };
})>;
export * from './src/types';
export * from './src/virtualTable';
export default VirtualTable;
export { VirtualTable };
declare module 'vue' {
    interface GlobalComponents {
        PagodaVirtualTable: typeof VirtualTable;
    }
}
