import type { Ref } from 'vue';
import type { DefaultRow } from 'element-plus/es/components/table/src/table/defaults';
import type { VirtualTableColumn } from '../types';
export type Selection = DefaultRow[];
export declare function useSelection({ tableData, selectable, onSelectionChange, }: {
    tableData: Ref<DefaultRow[]>;
    selectable: Ref<VirtualTableColumn['selectable']>;
    onSelectionChange?: (selection: Selection) => void;
}): {
    selection: Ref<any[], any[] | Selection>;
    isAllSelected: Ref<boolean, boolean>;
    getSelectionRows: () => any[];
    isSelected: (row: DefaultRow) => boolean;
    toggleRowSelection: (row: DefaultRow, selected?: boolean) => void;
    clearSelection: () => void;
    updateAllSelected: () => void;
    toggleAllSelection: import("lodash-unified").DebouncedFunc<() => void>;
};
