import type { ExtractPropTypes } from 'vue';
export declare const flexProps: {
    inline: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    direction: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => "-moz-initial" | "inherit" | "initial" | "revert" | "revert-layer" | "unset" | "column" | "column-reverse" | "row" | "row-reverse") | (() => import("csstype").Property.FlexDirection | undefined) | (((new (...args: any[]) => "-moz-initial" | "inherit" | "initial" | "revert" | "revert-layer" | "unset" | "column" | "column-reverse" | "row" | "row-reverse") | (() => import("csstype").Property.FlexDirection | undefined)) | null)[], unknown, unknown, string, boolean>;
    wrap: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => "-moz-initial" | "inherit" | "initial" | "revert" | "revert-layer" | "unset" | "wrap" | "nowrap" | "wrap-reverse") | (() => import("csstype").Property.FlexWrap | undefined) | (((new (...args: any[]) => "-moz-initial" | "inherit" | "initial" | "revert" | "revert-layer" | "unset" | "wrap" | "nowrap" | "wrap-reverse") | (() => import("csstype").Property.FlexWrap | undefined)) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    justifyContent: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string) | (() => import("csstype").Property.JustifyContent | undefined) | (((new (...args: any[]) => string) | (() => import("csstype").Property.JustifyContent | undefined)) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    alignItems: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string) | (() => import("csstype").Property.AlignItems | undefined) | (((new (...args: any[]) => string) | (() => import("csstype").Property.AlignItems | undefined)) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    alignContent: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => string) | (() => import("csstype").Property.AlignContent | undefined) | (((new (...args: any[]) => string) | (() => import("csstype").Property.AlignContent | undefined)) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type FlexProps = ExtractPropTypes<typeof flexProps>;
