var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_icon = require("../../icon");
var import_icons_vue = require("@element-plus/icons-vue");
var import_lib = require("element-plus/lib/index.js");
var import_pagoda_shared = require("pagoda-shared");
var import_lodash_unified = require("lodash-unified");
var import_error = require("../../utils/error");
var import_utils = require("../../utils/index");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("form-edit-item");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  setup(__props, { expose: __expose }) {
    __expose();
    const elFormProvider = (0, import_vue2.inject)(import_lib.formContextKey);
    const elFormItemProvider = (0, import_vue2.inject)(import_lib.formItemContextKey);
    if (!elFormProvider || !elFormItemProvider) {
      throw new import_error.PagodaUiError(
        "Component FormEditItem",
        "\u8BE5\u7EC4\u4EF6\u5FC5\u987B\u7ED3\u5408 ElForm\u7EC4\u4EF6 \u548C ElFormItem\u7EC4\u4EF6 \u4F7F\u7528"
      );
    }
    let preValue;
    const submiting = (0, import_vue2.ref)(false);
    const editing = (0, import_vue2.ref)(false);
    const contentEl = (0, import_vue2.ref)();
    const prop = (0, import_vue2.computed)(() => elFormItemProvider.prop);
    const fieldValue = (0, import_vue2.computed)(() => {
      const model = elFormProvider == null ? void 0 : elFormProvider.model;
      if (!model || !prop.value) {
        return;
      }
      return (0, import_pagoda_shared.getProp)(model, prop.value).value;
    });
    const toNormalState = () => {
      editing.value = false;
      submiting.value = false;
    };
    const toEditingState = () => {
      editing.value = true;
      submiting.value = false;
    };
    const toSubmitingState = () => {
      editing.value = false;
      submiting.value = true;
    };
    const clearValidate = () => __async(this, null, function* () {
      elFormItemProvider.clearValidate();
      yield (0, import_pagoda_shared.wait)(60);
    });
    const handleEdit = () => {
      toEditingState();
      preValue = (0, import_lodash_unified.cloneDeep)(fieldValue.value);
    };
    const handleCancel = () => __async(this, null, function* () {
      yield clearValidate();
      elFormProvider.emit("edit-cancel", prop.value, preValue);
      toNormalState();
    });
    const handleSave = () => __async(this, null, function* () {
      yield clearValidate();
      toSubmitingState();
      const saveSuccess = () => {
        toNormalState();
      };
      const saveError = () => {
        toEditingState();
      };
      elFormProvider.emit("edit-save", prop.value, saveSuccess, saveError);
    });
    const __returned__ = { name, elFormProvider, elFormItemProvider, get preValue() {
      return preValue;
    }, set preValue(v) {
      preValue = v;
    }, submiting, editing, contentEl, prop, fieldValue, toNormalState, toEditingState, toSubmitingState, clearValidate, handleEdit, handleCancel, handleSave, get Icon() {
      return import_icon.Icon;
    }, get Loading() {
      return import_icons_vue.Loading;
    }, get Close() {
      return import_icons_vue.Close;
    }, get Check() {
      return import_icons_vue.Check;
    }, get Edit() {
      return import_icons_vue.Edit;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-form-edit-item" };
const _hoisted_2 = {
  ref: "contentEl",
  class: "pagoda-form-edit-item__content"
};
const _hoisted_3 = { style: { "flex": "1" } };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_1, [
    (0, import_vue3.withDirectives)((0, import_vue3.createElementVNode)(
      "span",
      _hoisted_2,
      [
        (0, import_vue3.renderSlot)(_ctx.$slots, "default")
      ],
      512
      /* NEED_PATCH */
    ), [
      [import_vue3.vShow, !$setup.editing && !$setup.submiting]
    ]),
    (0, import_vue3.withDirectives)((0, import_vue3.createElementVNode)(
      "div",
      _hoisted_3,
      [
        (0, import_vue3.renderSlot)(_ctx.$slots, "edit")
      ],
      512
      /* NEED_PATCH */
    ), [
      [import_vue3.vShow, $setup.editing && !$setup.submiting]
    ]),
    (0, import_vue3.withDirectives)((0, import_vue3.createVNode)($setup["Icon"], {
      class: (0, import_vue3.normalizeClass)(["pagoda-form-edit-item-controller loading", { "is-loading": $setup.submiting }]),
      is: $setup.Loading
    }, null, 8, ["class", "is"]), [
      [import_vue3.vShow, $setup.submiting]
    ]),
    (0, import_vue3.withDirectives)((0, import_vue3.createVNode)($setup["Icon"], {
      class: "pagoda-form-edit-item-controller close",
      is: $setup.Close,
      onClick: $setup.handleCancel
    }, null, 8, ["is"]), [
      [import_vue3.vShow, !$setup.submiting && $setup.editing]
    ]),
    (0, import_vue3.withDirectives)((0, import_vue3.createVNode)($setup["Icon"], {
      class: "pagoda-form-edit-item-controller check",
      is: $setup.Check,
      onClick: $setup.handleSave
    }, null, 8, ["is"]), [
      [import_vue3.vShow, !$setup.submiting && $setup.editing]
    ]),
    (0, import_vue3.withDirectives)((0, import_vue3.createVNode)($setup["Icon"], {
      class: "pagoda-form-edit-item-controller edit",
      onClick: $setup.handleEdit,
      is: $setup.Edit
    }, null, 8, ["is"]), [
      [import_vue3.vShow, !$setup.submiting && !$setup.editing]
    ])
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
