declare const Layout: import("../utils/index").WithInstall<{
    new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
        logo: StringConstructor;
        logoText: StringConstructor;
        userInfo: {
            readonly type: import("vue").PropType<import("./src/types").LayoutUserInfo>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onLogout: {
            readonly type: import("vue").PropType<import("./src/types").LayoutUserInfoOnLogout>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onOperateItemClick: {
            readonly type: import("vue").PropType<import("./src/types").LayoutUserInfoOnOperateItemClick>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        defaultTabs: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutTabItem[]) | (() => import("./src/types").LayoutTabItem[]) | (((new (...args: any[]) => import("./src/types").LayoutTabItem[]) | (() => import("./src/types").LayoutTabItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        sideElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
        topElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
        sideMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        topMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        activeTab: {
            readonly type: import("vue").PropType<import("./src/types").LayoutTabItem>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        fullscreen: BooleanConstructor;
        themeToggler: BooleanConstructor;
        tabContextMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutTabContextMenuItem[]) | (() => import("./src/types").LayoutTabContextMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutTabContextMenuItem[]) | (() => import("./src/types").LayoutTabContextMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        beforeTabsRemove: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => (removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
                (): ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
                new (): any;
                readonly prototype: any;
            } | (((new (...args: any[]) => (removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
                (): ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
                new (): any;
                readonly prototype: any;
            }) | null)[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        titleKey: StringConstructor;
        childrenKey: StringConstructor;
        iconKey: StringConstructor;
        indexKey: StringConstructor;
    }>> & Readonly<{
        "onSide-menu-select"?: ((menu: import("./src/types").LayoutMenuItem) => any) | undefined;
        "onTop-menu-select"?: ((menu: import("./src/types").LayoutMenuItem) => any) | undefined;
        "onUpdate:activeTab"?: ((activeTab: import("./src/types").LayoutTabItem) => any) | undefined;
    }>, {
        closeTab: (removeTabName: import("element-plus").TabPaneName, safeClose?: boolean) => void;
        closeActiveTab: () => void;
        closeAllTabs: (safeClose?: boolean) => void;
        closeOthersTabs: (ignoreTabName: import("./src/types").LayoutTabItem["name"], safeClose?: boolean) => void;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
        "side-menu-select": (menu: import("./src/types").LayoutMenuItem) => any;
        "top-menu-select": (menu: import("./src/types").LayoutMenuItem) => any;
        "update:activeTab": (activeTab: import("./src/types").LayoutTabItem) => any;
    }, import("vue").PublicProps, {
        fullscreen: boolean;
        defaultTabs: import("./src/types").LayoutTabItem[];
        sideElMenuProps: Partial<import("element-plus").MenuProps>;
        topElMenuProps: Partial<import("element-plus").MenuProps>;
        sideMenus: import("./src/types").LayoutMenuItem[];
        topMenus: import("./src/types").LayoutMenuItem[];
        themeToggler: boolean;
        tabContextMenus: import("./src/types").LayoutTabContextMenuItem[];
    }, true, {}, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        logo: StringConstructor;
        logoText: StringConstructor;
        userInfo: {
            readonly type: import("vue").PropType<import("./src/types").LayoutUserInfo>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onLogout: {
            readonly type: import("vue").PropType<import("./src/types").LayoutUserInfoOnLogout>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        onOperateItemClick: {
            readonly type: import("vue").PropType<import("./src/types").LayoutUserInfoOnOperateItemClick>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        defaultTabs: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutTabItem[]) | (() => import("./src/types").LayoutTabItem[]) | (((new (...args: any[]) => import("./src/types").LayoutTabItem[]) | (() => import("./src/types").LayoutTabItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        sideElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
        topElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
        sideMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        topMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        activeTab: {
            readonly type: import("vue").PropType<import("./src/types").LayoutTabItem>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        fullscreen: BooleanConstructor;
        themeToggler: BooleanConstructor;
        tabContextMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutTabContextMenuItem[]) | (() => import("./src/types").LayoutTabContextMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutTabContextMenuItem[]) | (() => import("./src/types").LayoutTabContextMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
        beforeTabsRemove: {
            readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => (removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
                (): ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
                new (): any;
                readonly prototype: any;
            } | (((new (...args: any[]) => (removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
                (): ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
                new (): any;
                readonly prototype: any;
            }) | null)[], unknown, unknown>>;
            readonly required: false;
            readonly validator: ((val: unknown) => boolean) | undefined;
            __epPropKey: true;
        };
        titleKey: StringConstructor;
        childrenKey: StringConstructor;
        iconKey: StringConstructor;
        indexKey: StringConstructor;
    }>> & Readonly<{
        "onSide-menu-select"?: ((menu: import("./src/types").LayoutMenuItem) => any) | undefined;
        "onTop-menu-select"?: ((menu: import("./src/types").LayoutMenuItem) => any) | undefined;
        "onUpdate:activeTab"?: ((activeTab: import("./src/types").LayoutTabItem) => any) | undefined;
    }>, {
        closeTab: (removeTabName: import("element-plus").TabPaneName, safeClose?: boolean) => void;
        closeActiveTab: () => void;
        closeAllTabs: (safeClose?: boolean) => void;
        closeOthersTabs: (ignoreTabName: import("./src/types").LayoutTabItem["name"], safeClose?: boolean) => void;
    }, {}, {}, {}, {
        fullscreen: boolean;
        defaultTabs: import("./src/types").LayoutTabItem[];
        sideElMenuProps: Partial<import("element-plus").MenuProps>;
        topElMenuProps: Partial<import("element-plus").MenuProps>;
        sideMenus: import("./src/types").LayoutMenuItem[];
        topMenus: import("./src/types").LayoutMenuItem[];
        themeToggler: boolean;
        tabContextMenus: import("./src/types").LayoutTabContextMenuItem[];
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    logo: StringConstructor;
    logoText: StringConstructor;
    userInfo: {
        readonly type: import("vue").PropType<import("./src/types").LayoutUserInfo>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onLogout: {
        readonly type: import("vue").PropType<import("./src/types").LayoutUserInfoOnLogout>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    onOperateItemClick: {
        readonly type: import("vue").PropType<import("./src/types").LayoutUserInfoOnOperateItemClick>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    defaultTabs: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutTabItem[]) | (() => import("./src/types").LayoutTabItem[]) | (((new (...args: any[]) => import("./src/types").LayoutTabItem[]) | (() => import("./src/types").LayoutTabItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    sideElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
    topElMenuProps: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>) | (((new (...args: any[]) => Partial<import("element-plus").MenuProps>) | (() => Partial<import("element-plus").MenuProps>)) | null)[], unknown, unknown, () => {}, boolean>;
    sideMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    topMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutMenuItem[]) | (() => import("./src/types").LayoutMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    activeTab: {
        readonly type: import("vue").PropType<import("./src/types").LayoutTabItem>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    fullscreen: BooleanConstructor;
    themeToggler: BooleanConstructor;
    tabContextMenus: import("element-plus/es/utils").EpPropFinalized<(new (...args: any[]) => import("./src/types").LayoutTabContextMenuItem[]) | (() => import("./src/types").LayoutTabContextMenuItem[]) | (((new (...args: any[]) => import("./src/types").LayoutTabContextMenuItem[]) | (() => import("./src/types").LayoutTabContextMenuItem[])) | null)[], unknown, unknown, () => never[], boolean>;
    beforeTabsRemove: {
        readonly type: import("vue").PropType<import("element-plus/es/utils").EpPropMergeType<(new (...args: any[]) => (removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
            (): ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
            new (): any;
            readonly prototype: any;
        } | (((new (...args: any[]) => (removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | (() => ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined) | {
            (): ((removeTabsConfig: import("./src/types").LayoutTabItem[], next: () => void, safeClose?: boolean) => void) | undefined;
            new (): any;
            readonly prototype: any;
        }) | null)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
    titleKey: StringConstructor;
    childrenKey: StringConstructor;
    iconKey: StringConstructor;
    indexKey: StringConstructor;
}>> & Readonly<{
    "onSide-menu-select"?: ((menu: import("./src/types").LayoutMenuItem) => any) | undefined;
    "onTop-menu-select"?: ((menu: import("./src/types").LayoutMenuItem) => any) | undefined;
    "onUpdate:activeTab"?: ((activeTab: import("./src/types").LayoutTabItem) => any) | undefined;
}>, {
    closeTab: (removeTabName: import("element-plus").TabPaneName, safeClose?: boolean) => void;
    closeActiveTab: () => void;
    closeAllTabs: (safeClose?: boolean) => void;
    closeOthersTabs: (ignoreTabName: import("./src/types").LayoutTabItem["name"], safeClose?: boolean) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    "side-menu-select": (menu: import("./src/types").LayoutMenuItem) => any;
    "top-menu-select": (menu: import("./src/types").LayoutMenuItem) => any;
    "update:activeTab": (activeTab: import("./src/types").LayoutTabItem) => any;
}, string, {
    fullscreen: boolean;
    defaultTabs: import("./src/types").LayoutTabItem[];
    sideElMenuProps: Partial<import("element-plus").MenuProps>;
    topElMenuProps: Partial<import("element-plus").MenuProps>;
    sideMenus: import("./src/types").LayoutMenuItem[];
    topMenus: import("./src/types").LayoutMenuItem[];
    themeToggler: boolean;
    tabContextMenus: import("./src/types").LayoutTabContextMenuItem[];
}, {}, string, {}, import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: Partial<Record<`user-info-${string}`, (_: {
        data: string | undefined;
    }) => any>> & {
        logo?(_: {}): any;
        "logo-text"?(_: {}): any;
        "before-top-menu"?(_: {}): any;
        "after-top-menu"?(_: {}): any;
        "before-user-info"?(_: {}): any;
        "after-user-info"?(_: {}): any;
        default?(_: {}): any;
    };
})>;
export * from './src/layout';
export * from './src/types';
export default Layout;
export { Layout };
declare module 'vue' {
    interface GlobalComponents {
        PagodaLayout: typeof Layout;
    }
}
