var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  selectTreeProps: () => selectTreeProps
});
module.exports = __toCommonJS(stdin_exports);
var import_utils = require("element-plus/lib/utils/index.js");
var import_pagoda_shared = require("pagoda-shared");
const selectTreeProps = (0, import_utils.buildProps)({
  modelValue: {
    type: (0, import_utils.definePropType)(
      [String, Number, Object, Array]
    ),
    required: true,
    default: ""
  },
  bindObject: {
    type: Boolean
  },
  multiple: {
    type: Boolean
  },
  filterable: {
    type: Boolean
  },
  collapseTags: {
    type: Boolean
  },
  clearable: {
    type: Boolean
  },
  lazy: {
    type: Boolean
  },
  load: {
    type: (0, import_utils.definePropType)(Function)
  },
  checkStrictly: {
    type: Boolean
  },
  filterChildWhenSelectAll: {
    type: Boolean
  },
  placeholder: {
    type: String
  },
  label: {
    type: (0, import_utils.definePropType)([
      String,
      Function
    ]),
    default: "label"
  },
  valueKey: {
    type: String,
    default: "value"
  },
  childrenKey: {
    type: String,
    default: "children"
  },
  disabled: {
    type: (0, import_utils.definePropType)([
      String,
      Function
    ]),
    default: "disabled"
  },
  isLeaf: {
    type: (0, import_utils.definePropType)([
      String,
      Function
    ]),
    default: "isLeaf"
  },
  data: {
    type: (0, import_utils.definePropType)(Array),
    default: import_pagoda_shared.GET_EMPTY_ARR
  },
  treeProps: {
    type: (0, import_utils.definePropType)(Object),
    default: import_pagoda_shared.GET_EMPTY_OBJ
  },
  selectProps: {
    type: (0, import_utils.definePropType)(Object),
    default: import_pagoda_shared.GET_EMPTY_OBJ
  }
});
