var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_table_column = require("../../table-column");
var import_table_column2 = require("../../table-column/src/table-column");
var import_pagoda_shared = require("pagoda-shared");
function getSlotKey(column) {
  return column.slot || column.prop;
}
function renderColumn(column, slots) {
  column = __spreadValues({}, column);
  delete column.children;
  return (0, import_vue.createVNode)(import_table_column.TableColumn, (0, import_vue.mergeProps)(column, {
    "key": Symbol()
  }), slots);
}
function renderColumns(columns, slots) {
  return columns.map((column) => {
    var _a, _b, _c;
    if (!column.slot && column.column) {
      column.slot = (_b = (_a = import_table_column2.customColumns[column.column]) == null ? void 0 : _a.defaultSet) == null ? void 0 : _b.slot;
    }
    const slotKey = getSlotKey(column);
    const defaultRenderCell = function() {
      return renderColumns(column.children, slots);
    };
    const renderCell = slotKey && slots[slotKey] || ((_c = column.children) == null ? void 0 : _c.length) && defaultRenderCell || void 0;
    const renderHeader = slotKey ? slots[`${slotKey}-header`] : void 0;
    return renderColumn(column, {
      default: renderCell,
      header: renderHeader
    });
  });
}
var stdin_default = (0, import_vue.defineComponent)({
  props: {
    columns: {
      type: Array,
      default: import_pagoda_shared.GET_EMPTY_ARR
    },
    slots: {
      type: Object,
      default: import_pagoda_shared.GET_EMPTY_OBJ
    }
  },
  setup(props) {
    return () => {
      return renderColumns(props.columns, props.slots);
    };
  }
});
