var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_table = require("./table");
var import_defaults = __toESM(require("element-plus/lib/components/table/src/table/defaults.js"));
var import_lodash_unified = require("lodash-unified");
var import_pagoda_shared = require("pagoda-shared");
var import_lodash_unified2 = require("lodash-unified");
var import_mitt = __toESM(require("mitt"));
var import_render_table_columns = __toESM(require("./render-table-columns"));
var import_lib = require("element-plus/lib/index.js");
var import_types = require("./types");
var import_pagoda_shared2 = require("pagoda-shared");
var import_use_table_request = require("./composables/use-table-request");
var import_use_table_radio = require("./composables/use-table-radio");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("table");
const __default__ = {
  name,
  inheritAttrs: false
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_table.tableProps,
  emits: ["radio-change"],
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const slots = (0, import_vue2.useSlots)();
    const mitter = (0, import_mitt.default)();
    const elTableCtx = (0, import_vue2.ref)();
    const {
      tableData,
      pagination,
      refresh,
      refreshCurrentPage,
      setTableSortable,
      setPaginationCurrentPage,
      setPaginationSize
    } = (0, import_use_table_request.useTableRequest)({
      initialPagination: {
        pageSize: (0, import_pagoda_shared.getAttrByKey)(
          props.pagination,
          "defaultPageSize"
        ) || (0, import_pagoda_shared.getAttrByKey)(
          props.pagination,
          "pageSize"
        ) || 10
      },
      onRequest(...arg) {
        var _a, _b;
        (_a = props.onRequest) == null ? void 0 : _a.call(props, ...arg);
        return (_b = props.request) == null ? void 0 : _b.call(props, ...arg);
      }
    });
    const { radio, setRadio, clearRadio } = (0, import_use_table_radio.useTableRadio)();
    const elTableAttrs = (0, import_pagoda_shared2.usePickProps)(props, import_defaults.default, {
      ignoreClassAndStyle: true
    });
    const flexLayout = (0, import_vue2.computed)(() => {
      return Boolean(props.wrapperHeight);
    });
    const elTableHeightComputed = (0, import_vue2.computed)(() => {
      return !(0, import_pagoda_shared.isEmpty)(props.height) ? props.height : flexLayout.value ? "100%" : void 0;
    });
    const paginationConfig = (0, import_vue2.computed)(() => {
      return Object.assign(
        {
          show: true,
          layout: "total, sizes, prev, pager, next, jumper",
          background: true
        },
        {
          total: pagination.total
        },
        props.pagination
      );
    });
    const elTableSlots = (0, import_vue2.computed)(() => {
      return ["append", "empty"].filter((name2) => slots[name2]);
    });
    const tableDataComputed = (0, import_vue2.computed)(() => {
      return (0, import_lodash_unified2.isArray)(props.data) ? props.data : tableData.value;
    });
    const hasPagination = (0, import_vue2.computed)(() => {
      return paginationConfig.value.show && (props.request || props.onRequest);
    });
    (0, import_vue2.watch)(
      () => radio.selected,
      () => {
        emit("radio-change", radio.selected);
      }
    );
    (0, import_vue2.watch)(tableDataComputed, () => {
      if (!tableProvider.reserveRadio) {
        clearRadio();
      } else {
        setCurrentRadioByRow(radio.selected);
      }
    });
    (0, import_vue2.onBeforeMount)(() => {
      if (props.autoRequest)
        refresh();
      mitter.on("pagoda-table:radio-change", setRadio);
    });
    function handleSortChange(sortable) {
      if (sortable.column.sortable === "remote") {
        setTableSortable(sortable);
      }
    }
    function findRow(row) {
      let rowIndex = -1;
      const matchRow = tableDataComputed.value.find((rowData, idx) => {
        if (props.rowKey) {
          const rowKey = (0, import_lodash_unified.isFunction)(props.rowKey) ? props.rowKey(rowData) : props.rowKey;
          if (rowKey) {
            if (rowData[rowKey] === row[rowKey]) {
              rowIndex = idx;
              return true;
            }
            ;
          }
        }
        if (rowData === row) {
          rowIndex = idx;
          return true;
        }
      });
      return {
        matchRow,
        rowIndex
      };
    }
    function setCurrentRadioByRow(row) {
      const { rowIndex } = findRow(row);
      setRadio({
        selectedIdx: rowIndex,
        selected: row
      });
    }
    const tableProvider = {
      mitter,
      radio,
      reserveRadio: false,
      autoMinWidth: (0, import_vue2.computed)(() => props.autoMinWidth)
    };
    (0, import_vue2.provide)(import_types.TABLE_INJECTION_KEY, tableProvider);
    __expose({
      elTableCtx,
      // functions
      refresh,
      refreshCurrentPage,
      setCurrentRadio: setCurrentRadioByRow,
      clearRadio
    });
    const __returned__ = { name, props, emit, slots, mitter, elTableCtx, tableData, pagination, refresh, refreshCurrentPage, setTableSortable, setPaginationCurrentPage, setPaginationSize, radio, setRadio, clearRadio, elTableAttrs, flexLayout, elTableHeightComputed, paginationConfig, elTableSlots, tableDataComputed, hasPagination, handleSortChange, findRow, setCurrentRadioByRow, tableProvider, get addUnit() {
      return import_pagoda_shared.addUnit;
    }, get RenderTableColumns() {
      return import_render_table_columns.default;
    }, get ElTable() {
      return import_lib.ElTable;
    }, get ElPagination() {
      return import_lib.ElPagination;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-table__el-table-wrapper" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
    "div",
    {
      class: (0, import_vue3.normalizeClass)(["pagoda-table", [{
        "pagoda-table--flex-column": $setup.flexLayout
      }, _ctx.$attrs.class]]),
      style: (0, import_vue3.normalizeStyle)(__spreadValues({
        height: $setup.addUnit(_ctx.wrapperHeight)
      }, _ctx.$attrs.style || {}))
    },
    [
      (0, import_vue3.createElementVNode)("div", _hoisted_1, [
        (0, import_vue3.createVNode)($setup["ElTable"], (0, import_vue3.mergeProps)($setup.elTableAttrs, {
          height: $setup.elTableHeightComputed,
          data: $setup.tableDataComputed,
          onSortChange: $setup.handleSortChange,
          ref: "elTableCtx"
        }), (0, import_vue3.createSlots)({
          default: (0, import_vue3.withCtx)(() => [
            _ctx.columns ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["RenderTableColumns"], {
              key: 0,
              columns: _ctx.columns,
              slots: $setup.slots
            }, null, 8, ["columns", "slots"])) : ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
              import_vue3.Fragment,
              { key: 1 },
              [
                (0, import_vue3.createCommentVNode)(" \u63D2\u69FD\u76F4\u63A5\u4F20\u5165table-column "),
                (0, import_vue3.renderSlot)(_ctx.$slots, "default")
              ],
              2112
              /* STABLE_FRAGMENT, DEV_ROOT_FRAGMENT */
            ))
          ]),
          _: 2
          /* DYNAMIC */
        }, [
          (0, import_vue3.renderList)($setup.elTableSlots, (slotName) => {
            return {
              name: slotName,
              fn: (0, import_vue3.withCtx)((scope) => [
                (0, import_vue3.renderSlot)(_ctx.$slots, slotName, (0, import_vue3.normalizeProps)((0, import_vue3.guardReactiveProps)(scope)))
              ])
            };
          })
        ]), 1040, ["height", "data"])
      ]),
      (0, import_vue3.renderSlot)(_ctx.$slots, "after-table"),
      $setup.hasPagination ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElPagination"], (0, import_vue3.mergeProps)({ key: 0 }, $setup.paginationConfig, {
        ref: "elPaginationCtx",
        class: "pagoda-pagination",
        "current-page": $setup.pagination.currentPage,
        "onUpdate:currentPage": $setup.setPaginationCurrentPage,
        "onUpdate:pageSize": $setup.setPaginationSize
      }), null, 16, ["current-page", "onUpdate:currentPage", "onUpdate:pageSize"])) : (0, import_vue3.createCommentVNode)("v-if", true)
    ],
    6
    /* CLASS, STYLE */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
