var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_virtualList = require("./virtualList");
var import_pagoda_shared = require("pagoda-shared");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("virtual-list");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_virtualList.virtualListProps,
  setup(__props, { expose: __expose }) {
    __expose();
    const props = __props;
    const rootEl = (0, import_vue2.ref)();
    const {
      getIndex,
      virtualBodyHeight,
      virtualList,
      virtualScrollTop
    } = (0, import_pagoda_shared.useVirtualList)(
      rootEl,
      (0, import_vue2.computed)(() => props.list),
      (0, import_vue2.computed)(() => props.listRowHeight),
      (0, import_vue2.computed)(() => props.excessRows)
    );
    const __returned__ = { name, props, rootEl, getIndex, virtualBodyHeight, virtualList, virtualScrollTop };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = {
  ref: "rootEl",
  class: "pagoda-virtual-list"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
    "div",
    _hoisted_1,
    [
      (0, import_vue3.createElementVNode)(
        "div",
        {
          class: "pagoda-virtual-list__body-wrapper",
          style: (0, import_vue3.normalizeStyle)({
            height: `${$setup.virtualBodyHeight}px`
          })
        },
        [
          (0, import_vue3.createElementVNode)(
            "div",
            {
              class: "pagoda-virtual-list__body",
              style: (0, import_vue3.normalizeStyle)({
                transform: `translateY(${$setup.virtualScrollTop}px)`
              })
            },
            [
              (0, import_vue3.renderSlot)(_ctx.$slots, "virtual-list", {
                virtualList: $setup.virtualList,
                getIndex: $setup.getIndex
              })
            ],
            4
            /* STYLE */
          )
        ],
        4
        /* STYLE */
      )
    ],
    512
    /* NEED_PATCH */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
