var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => SelectionColumn
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_lib = require("element-plus/lib/index.js");
function SelectionColumn(store, selectable) {
  return {
    width: 48,
    cellRenderer: (slotProps) => {
      return (0, import_vue.createVNode)(import_lib.ElCheckbox, (0, import_vue.mergeProps)({
        "disabled": selectable == null ? void 0 : selectable(slotProps.rowData, slotProps.rowIndex),
        "modelValue": store.isSelected(slotProps.rowData),
        "onChange": () => {
          store.toggleRowSelection(slotProps.rowData);
          store.updateAllSelected();
        }
      }, {
        onClick: (event) => event.stopPropagation()
      }), null);
    },
    headerCellRenderer: () => {
      return (0, import_vue.createVNode)(import_lib.ElCheckbox, {
        "disabled": store.tableData.value && store.tableData.value.length === 0,
        "indeterminate": store.selection.value.length > 0 && !store.isAllSelected.value,
        "modelValue": store.isAllSelected.value,
        "onUpdate:modelValue": () => store.toggleAllSelection()
      }, null);
    }
  };
}
