import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { GET_EMPTY_OBJ } from "pagoda-shared";
const dialogFormProps = buildProps({
  modelValue: {
    type: Object,
    default: GET_EMPTY_OBJ
  },
  editDialogTitle: {
    type: String
  },
  createDialogTitle: {
    type: String
  },
  dialogProps: {
    type: definePropType(Object)
  },
  cancelBtnText: {
    type: String,
    default: "\u53D6 \u6D88"
  },
  submitBtnText: {
    type: String,
    default: "\u4FDD \u5B58"
  }
});
export {
  dialogFormProps
};
