var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};
import { defineComponent as _defineComponent } from "vue";
import { ref } from "vue";
import { tableFooterProps } from "./tableFooterProps.mjs";
import { useEventListener, useMutationObserver } from "@vueuse/core";
import TableFooter from "./table-footer.mjs";
import { createNamespace } from "../../utils/index.mjs";
const name = createNamespace("table-footer");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ _defineComponent(__spreadProps(__spreadValues({}, __default__), {
  props: tableFooterProps,
  setup(__props, { expose: __expose }) {
    const elTableCtx = ref();
    const elTableBodyWrapperEl = ref();
    const elTableEl = ref();
    const bodyWrapper = ref();
    const root = ref();
    useEventListener(elTableBodyWrapperEl, "scroll", () => {
      if (!bodyWrapper.value || !elTableBodyWrapperEl.value)
        return;
      bodyWrapper.value.scrollLeft = elTableBodyWrapperEl.value.scrollLeft;
    });
    useMutationObserver(
      elTableEl,
      (mutations) => {
        if (mutations.some((mutation) => mutation.attributeName === "class")) {
          if (!root.value || !elTableEl.value)
            return;
          root.value.className = `pagoda-table-footer ${elTableEl.value.className}`;
        }
      },
      {
        attributes: true
      }
    );
    function init(tableInstance) {
      return __async(this, null, function* () {
        elTableCtx.value = tableInstance;
        elTableBodyWrapperEl.value = elTableCtx.value.scrollBarRef.wrapRef;
        elTableEl.value = elTableCtx.value.$el;
      });
    }
    __expose({
      init
    });
    const __returned__ = { name, elTableCtx, elTableBodyWrapperEl, elTableEl, bodyWrapper, root, init, get TableFooter() {
      return TableFooter;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
import { openBlock as _openBlock, createBlock as _createBlock, createCommentVNode as _createCommentVNode, createElementVNode as _createElementVNode, createElementBlock as _createElementBlock } from "vue";
const _hoisted_1 = {
  key: 0,
  ref: "root"
};
const _hoisted_2 = { class: "el-table__inner-wrapper" };
const _hoisted_3 = {
  ref: "bodyWrapper",
  class: "el-table__body-wrapper"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return $setup.elTableCtx ? (_openBlock(), _createElementBlock(
    "div",
    _hoisted_1,
    [
      _createElementVNode("div", _hoisted_2, [
        _createElementVNode(
          "div",
          _hoisted_3,
          [
            $setup.elTableCtx ? (_openBlock(), _createBlock($setup["TableFooter"], {
              key: 0,
              table: $setup.elTableCtx,
              data: _ctx.data
            }, null, 8, ["table", "data"])) : _createCommentVNode("v-if", true)
          ],
          512
          /* NEED_PATCH */
        )
      ])
    ],
    512
    /* NEED_PATCH */
  )) : _createCommentVNode("v-if", true);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
export {
  stdin_default as default
};
