var __defProp = Object.defineProperty;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
import elTableProps from "element-plus/es/components/table/src/table/defaults.mjs";
import { GET_EMPTY_OBJ } from "pagoda-shared";
import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { withPropsDefaults } from "pagoda-shared";
const extendProps = buildProps({
  wrapperHeight: {
    type: [String, Number]
  },
  request: {
    type: definePropType(Function)
  },
  onRequest: {
    type: definePropType(Function)
  },
  columns: {
    type: definePropType(Array)
  },
  autoRequest: {
    type: Boolean,
    default: true
  },
  pagination: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  },
  autoMinWidth: {
    type: Boolean,
    default: true
  }
});
const tableProps = __spreadValues(__spreadValues({}, withPropsDefaults(elTableProps, {
  data: void 0
})), extendProps);
export {
  tableProps
};
