const ERROR_NAME = "PagodaUiError";
class PagodaUiError extends Error {
  constructor(scope, message) {
    super(`[[${scope}]] ${message}`);
    this.name = ERROR_NAME;
  }
}
function throwWarn(scope, message) {
  console.warn(new PagodaUiError(scope, message));
}
function isPagodaUiError(e) {
  return e.name === ERROR_NAME;
}
export {
  PagodaUiError,
  isPagodaUiError,
  throwWarn
};
