var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent as _defineComponent } from "vue";
import { ref, computed } from "vue";
import { virtualListProps } from "./virtualList.mjs";
import { useVirtualList } from "pagoda-shared";
import { createNamespace } from "../../utils/index.mjs";
const name = createNamespace("virtual-list");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ _defineComponent(__spreadProps(__spreadValues({}, __default__), {
  props: virtualListProps,
  setup(__props, { expose: __expose }) {
    __expose();
    const props = __props;
    const rootEl = ref();
    const {
      getIndex,
      virtualBodyHeight,
      virtualList,
      virtualScrollTop
    } = useVirtualList(
      rootEl,
      computed(() => props.list),
      computed(() => props.listRowHeight),
      computed(() => props.excessRows)
    );
    const __returned__ = { name, props, rootEl, getIndex, virtualBodyHeight, virtualList, virtualScrollTop };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
import { renderSlot as _renderSlot, normalizeStyle as _normalizeStyle, createElementVNode as _createElementVNode, openBlock as _openBlock, createElementBlock as _createElementBlock } from "vue";
const _hoisted_1 = {
  ref: "rootEl",
  class: "pagoda-virtual-list"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return _openBlock(), _createElementBlock(
    "div",
    _hoisted_1,
    [
      _createElementVNode(
        "div",
        {
          class: "pagoda-virtual-list__body-wrapper",
          style: _normalizeStyle({
            height: `${$setup.virtualBodyHeight}px`
          })
        },
        [
          _createElementVNode(
            "div",
            {
              class: "pagoda-virtual-list__body",
              style: _normalizeStyle({
                transform: `translateY(${$setup.virtualScrollTop}px)`
              })
            },
            [
              _renderSlot(_ctx.$slots, "virtual-list", {
                virtualList: $setup.virtualList,
                getIndex: $setup.getIndex
              })
            ],
            4
            /* STYLE */
          )
        ],
        4
        /* STYLE */
      )
    ],
    512
    /* NEED_PATCH */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
export {
  stdin_default as default
};
