var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { tableV2Props } from "element-plus/es/index.mjs";
import { GET_EMPTY_OBJ, GET_EMPTY_ARR } from "pagoda-shared";
import { buildProps, definePropType } from "element-plus/es/utils/index.mjs";
import { omit } from "lodash-unified";
const extendProps = buildProps({
  wrapperHeight: {
    type: [String, Number]
  },
  emptyText: {
    type: String
  },
  request: {
    type: definePropType(Function)
  },
  onRequest: {
    type: definePropType(Function)
  },
  columns: {
    type: definePropType(Array),
    default: GET_EMPTY_ARR
  },
  autoRequest: {
    type: Boolean,
    default: true
  },
  pagination: {
    type: definePropType(Object),
    default: GET_EMPTY_OBJ
  }
});
const virtualTableProps = __spreadValues(__spreadProps(__spreadValues({}, omit(tableV2Props, ["width"])), {
  data: {
    type: definePropType(Array)
  },
  height: {
    type: definePropType(Number)
  }
}), extendProps);
export {
  virtualTableProps
};
