import type { ExtractPropTypes, PropType } from 'vue';
import type { BusinessObject } from './types';
export declare const bpmnViewerProps: {
    viewerConstructor: {
        type: null;
    };
    xml: StringConstructor;
    emptyText: {
        type: StringConstructor;
        default: string;
    };
    loading: BooleanConstructor;
    clickable: BooleanConstructor;
    isElementClickable: PropType<(element: BusinessObject) => boolean>;
    tooltip: PropType<Record<string, string>>;
    highlight: PropType<Record<string, string | boolean>>;
    active: PropType<Record<string, number | boolean>>;
    incident: PropType<Record<string, number | boolean>>;
    completed: PropType<Record<string, number | boolean>>;
    canceled: PropType<Record<string, number | boolean>>;
};
export type BpmnViewerProps = ExtractPropTypes<typeof bpmnViewerProps>;
