var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_dropdown = require("./dropdown");
var import_core = require("@vueuse/core");
var import_types = require("./types");
var import_pagoda_shared = require("pagoda-shared");
var import_utils = require("../../utils/index");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("dropdown");
const __default__ = { name };
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_dropdown.dropdownProps,
  setup(__props, { expose: __expose }) {
    const props = __props;
    const root = (0, import_vue2.ref)(null);
    const layout = (0, import_vue2.reactive)({
      left: 0,
      top: 0
    });
    const isShow = (0, import_vue2.ref)(false);
    const showOnMousePosition = (e) => {
      const relativeTarget = props.relativeTarget();
      if (!relativeTarget)
        return;
      const { left, top } = relativeTarget.getBoundingClientRect();
      const showLeft = e.x - left;
      const showTop = e.y - top;
      show({
        left: showLeft,
        top: showTop
      });
    };
    const show = ({ left, top }) => {
      layout.left = left;
      layout.top = top;
      isShow.value = true;
    };
    const hide = () => {
      isShow.value = false;
    };
    (0, import_core.onClickOutside)(root, hide);
    __expose({
      showOnMousePosition,
      show,
      hide
    });
    (0, import_vue2.provide)(import_types.DROPDOWN_INJECTION_KEY, {
      hideOnClick: props.hideOnClick,
      showOnMousePosition,
      show,
      hide
    });
    const __returned__ = { name, props, root, layout, isShow, showOnMousePosition, show, hide, get addUnit() {
      return import_pagoda_shared.addUnit;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.withDirectives)(((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
    "div",
    {
      class: (0, import_vue3.normalizeClass)(["pagoda-dropdown", [_ctx.dropdownClass]]),
      style: (0, import_vue3.normalizeStyle)({
        left: $setup.addUnit($setup.layout.left),
        top: $setup.addUnit($setup.layout.top)
      }),
      ref: "root"
    },
    [
      (0, import_vue3.renderSlot)(_ctx.$slots, "default")
    ],
    6
    /* CLASS, STYLE */
  )), [
    [import_vue3.vShow, $setup.isShow]
  ]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
