import type { InjectionKey } from 'vue';
export interface DropdownCtx {
    showOnMousePosition: (e: MouseEvent) => void;
    show: (conf: {
        left: number;
        top: number;
    }) => void;
    hide: () => void;
}
export interface DropdownProvider extends DropdownCtx {
    hideOnClick: boolean;
}
export declare const DROPDOWN_INJECTION_KEY: InjectionKey<DropdownProvider>;
