var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_form_props = require("./form-props");
var import_lib = require("element-plus/lib/index.js");
var import_lib2 = require("element-plus/lib/index.js");
var import_FieldItem = __toESM(require("./FieldItem"));
var import_pagoda_shared = require("pagoda-shared");
var import_FieldItem2 = require("./FieldItem");
var import_utils = require("../../utils");
var import_error = require("../../utils/error");
const name = (0, import_utils.createNamespace)("form");
var stdin_default = (0, import_vue.defineComponent)({
  name,
  registerComponents: import_FieldItem2.registerComponents,
  props: import_form_props.formProps,
  setup(props, {
    slots,
    expose
  }) {
    const elFormCtx = (0, import_vue.ref)();
    const elFormAttrs = (0, import_pagoda_shared.usePickProps)(props, import_lib.formProps);
    function renderFields(grid, fields) {
      return fields.map((field) => {
        var _a;
        if (field.type !== "slot" && !field.prop) {
          console.error(new import_error.PagodaUiError("Component: Form", `field \u7F3A\u5C11 prop \u5C5E\u6027\uFF1A${JSON.stringify(field)}`));
        }
        if (field.hidden)
          return;
        const key = (_a = field.prop) != null ? _a : field.slot;
        return grid ? (0, import_vue.createVNode)(import_lib2.ElCol, (0, import_vue.mergeProps)(field.colProps, {
          "key": key
        }), {
          default: () => [(0, import_vue.createVNode)(import_FieldItem.default, {
            "field": field,
            "model": props.model,
            "slots": slots
          }, null)]
        }) : (0, import_vue.createVNode)(import_FieldItem.default, {
          "key": key,
          "field": field,
          "model": props.model,
          "slots": slots
        }, null);
      });
    }
    expose({
      elFormCtx
    });
    return () => (0, import_vue.createVNode)(import_lib2.ElForm, (0, import_vue.mergeProps)(elFormAttrs.value, {
      "ref": elFormCtx
    }), {
      default: () => {
        var _a;
        return [props.grid ? (0, import_vue.createVNode)(import_lib2.ElRow, props.gridRowProps, {
          default: () => [renderFields(props.grid, props.fields)]
        }) : renderFields(props.grid, props.fields), (_a = slots.default) == null ? void 0 : _a.call(slots)];
      }
    });
  }
});
