var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default,
  install: () => install,
  version: () => version
});
module.exports = __toCommonJS(stdin_exports);
var import_base_select = require("./base-select");
var import_bpmn_viewer = require("./bpmn-viewer");
var import_collapse_button = require("./collapse-button");
var import_confirm = require("./confirm");
var import_date_range = require("./date-range");
var import_detail_layout_v1 = require("./detail-layout-v1");
var import_dialog_form = require("./dialog-form");
var import_dropdown = require("./dropdown");
var import_dropdown_item = require("./dropdown-item");
var import_flex = require("./flex");
var import_flex_item = require("./flex-item");
var import_form = require("./form");
var import_form_edit_item = require("./form-edit-item");
var import_form_table_layout = require("./form-table-layout");
var import_icon = require("./icon");
var import_input_number = require("./input-number");
var import_layout = require("./layout");
var import_layout_v2 = require("./layout-v2");
var import_layout_v2_header = require("./layout-v2-header");
var import_left_right_layout = require("./left-right-layout");
var import_loading = require("./loading");
var import_number_range = require("./number-range");
var import_overflow_tooltip = require("./overflow-tooltip");
var import_popover_textarea = require("./popover-textarea");
var import_range = require("./range");
var import_request_select = require("./request-select");
var import_resize_container = require("./resize-container");
var import_select_tree = require("./select-tree");
var import_sub_title = require("./sub-title");
var import_suffix_icon = require("./suffix-icon");
var import_table = require("./table");
var import_table_column = require("./table-column");
var import_table_editable = require("./table-editable");
var import_table_editable_cell = require("./table-editable-cell");
var import_table_footer = require("./table-footer");
var import_virtual_list = require("./virtual-list");
var import_virtual_table = require("./virtual-table");
var import_setup = __toESM(require("./setup"));
__reExport(stdin_exports, require("./base-select"), module.exports);
__reExport(stdin_exports, require("./bpmn-viewer"), module.exports);
__reExport(stdin_exports, require("./collapse-button"), module.exports);
__reExport(stdin_exports, require("./confirm"), module.exports);
__reExport(stdin_exports, require("./date-range"), module.exports);
__reExport(stdin_exports, require("./detail-layout-v1"), module.exports);
__reExport(stdin_exports, require("./dialog-form"), module.exports);
__reExport(stdin_exports, require("./dropdown"), module.exports);
__reExport(stdin_exports, require("./dropdown-item"), module.exports);
__reExport(stdin_exports, require("./flex"), module.exports);
__reExport(stdin_exports, require("./flex-item"), module.exports);
__reExport(stdin_exports, require("./form"), module.exports);
__reExport(stdin_exports, require("./form-edit-item"), module.exports);
__reExport(stdin_exports, require("./form-table-layout"), module.exports);
__reExport(stdin_exports, require("./icon"), module.exports);
__reExport(stdin_exports, require("./input-number"), module.exports);
__reExport(stdin_exports, require("./layout"), module.exports);
__reExport(stdin_exports, require("./layout-v2"), module.exports);
__reExport(stdin_exports, require("./layout-v2-header"), module.exports);
__reExport(stdin_exports, require("./left-right-layout"), module.exports);
__reExport(stdin_exports, require("./loading"), module.exports);
__reExport(stdin_exports, require("./number-range"), module.exports);
__reExport(stdin_exports, require("./overflow-tooltip"), module.exports);
__reExport(stdin_exports, require("./popover-textarea"), module.exports);
__reExport(stdin_exports, require("./range"), module.exports);
__reExport(stdin_exports, require("./request-select"), module.exports);
__reExport(stdin_exports, require("./resize-container"), module.exports);
__reExport(stdin_exports, require("./select-tree"), module.exports);
__reExport(stdin_exports, require("./sub-title"), module.exports);
__reExport(stdin_exports, require("./suffix-icon"), module.exports);
__reExport(stdin_exports, require("./table"), module.exports);
__reExport(stdin_exports, require("./table-column"), module.exports);
__reExport(stdin_exports, require("./table-editable"), module.exports);
__reExport(stdin_exports, require("./table-editable-cell"), module.exports);
__reExport(stdin_exports, require("./table-footer"), module.exports);
__reExport(stdin_exports, require("./virtual-list"), module.exports);
__reExport(stdin_exports, require("./virtual-table"), module.exports);
__reExport(stdin_exports, require("./setup"), module.exports);
const version = "3.9.0";
function install(app, options) {
  var _a, _b;
  (_b = (_a = import_setup.default).install) == null ? void 0 : _b.call(_a, app, options);
  const components = [
    import_base_select.BaseSelect,
    import_bpmn_viewer.BpmnViewer,
    import_collapse_button.CollapseButton,
    import_confirm.Confirm,
    import_date_range.DateRange,
    import_detail_layout_v1.DetailLayoutV1,
    import_dialog_form.DialogForm,
    import_dropdown.Dropdown,
    import_dropdown_item.DropdownItem,
    import_flex.Flex,
    import_flex_item.FlexItem,
    import_form.Form,
    import_form_edit_item.FormEditItem,
    import_form_table_layout.FormTableLayout,
    import_icon.Icon,
    import_input_number.InputNumber,
    import_layout.Layout,
    import_layout_v2.LayoutV2,
    import_layout_v2_header.LayoutV2Header,
    import_left_right_layout.LeftRightLayout,
    import_loading.Loading,
    import_number_range.NumberRange,
    import_overflow_tooltip.OverflowTooltip,
    import_popover_textarea.PopoverTextarea,
    import_range.Range,
    import_request_select.RequestSelect,
    import_resize_container.ResizeContainer,
    import_select_tree.SelectTree,
    import_sub_title.SubTitle,
    import_suffix_icon.SuffixIcon,
    import_table.Table,
    import_table_column.TableColumn,
    import_table_editable.TableEditable,
    import_table_editable_cell.TableEditableCell,
    import_table_footer.TableFooter,
    import_virtual_list.VirtualList,
    import_virtual_table.VirtualTable
  ];
  components.forEach((item) => {
    if (item.install) {
      app.use(item, options);
    } else if (item.name) {
      app.component(item.name, item);
    }
  });
}
var stdin_default = install;
