var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_inputNumber = require("./inputNumber");
var import_lib = require("element-plus/lib/index.js");
var import_lib2 = require("element-plus/lib/index.js");
var import_pagoda_shared = require("pagoda-shared");
var import_pagoda_shared2 = require("pagoda-shared");
var import_utils = require("../../utils/index");
var import_vue2 = require("vue");
const name = (0, import_utils.createNamespace)("input-number");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_inputNumber.inputNumberProps,
  emits: ["update:modelValue"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const elInputAttrs = (0, import_pagoda_shared.usePickProps)(props, import_lib.inputProps);
    const emit = __emit;
    function handleBeforeInput(val) {
      const newVal = [];
      const valStrArr = val.split("");
      let hasDot = false;
      valStrArr.forEach((str, idx) => {
        const preNumber = Number(valStrArr[idx - 1]);
        if (str === "-" && idx === 0 && !props.positiveNumber) {
          newVal.push(str);
        } else if (str === "." && (0, import_pagoda_shared2.isNumberExceptNaN)(preNumber) && !hasDot && props.precision !== 0) {
          newVal.push(str);
          hasDot = true;
        } else if (!/[^\d]/.test(str) && valStrArr[idx - props.precision - 1] !== ".") {
          newVal.push(str);
        }
      });
      return newVal.join("");
    }
    function handleInput(val) {
      const result = handleBeforeInput(val);
      emit("update:modelValue", result.trim());
    }
    function handleBlur() {
      if (props.precision !== 0 && (0, import_pagoda_shared2.isNumberString)(props.modelValue)) {
        emit(
          "update:modelValue",
          parseFloat(props.modelValue).toFixed(props.precision)
        );
      }
    }
    const __returned__ = { name, props, elInputAttrs, emit, handleBeforeInput, handleInput, handleBlur, get ElInput() {
      return import_lib2.ElInput;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue2.openBlock)(), (0, import_vue2.createBlock)(
    $setup["ElInput"],
    (0, import_vue2.mergeProps)($setup.elInputAttrs, {
      ref: "elInputCtx",
      "onUpdate:modelValue": $setup.handleInput,
      onBlur: $setup.handleBlur
    }),
    (0, import_vue2.createSlots)({
      _: 2
      /* DYNAMIC */
    }, [
      (0, import_vue2.renderList)(_ctx.$slots, (_, slotName) => {
        return {
          name: slotName,
          fn: (0, import_vue2.withCtx)((scope) => [
            (0, import_vue2.renderSlot)(_ctx.$slots, slotName, (0, import_vue2.normalizeProps)((0, import_vue2.guardReactiveProps)(scope)))
          ])
        };
      })
    ]),
    1040
    /* FULL_PROPS, DYNAMIC_SLOTS */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
