var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_layout = require("./layout");
var import_lib = require("element-plus/lib/index.js");
var import_dropdown = __toESM(require("../../dropdown"));
var import_dropdown_item = __toESM(require("../../dropdown-item"));
var import_user_info_vue = __toESM(require("./user-info.vue.js"));
var import_side_menu_vue = __toESM(require("./side-menu.vue.js"));
var import_theme_toggler_vue = __toESM(require("./theme-toggler.vue.js"));
var import_useTabs = require("./composables/useTabs");
var import_useTabContextMenu = require("./composables/useTabContextMenu");
var import_dark = require("../../composables/dark");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("layout");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, {
  name
}), {
  __name: "layout",
  props: import_layout.layoutProps,
  emits: ["side-menu-select", "top-menu-select", "update:activeTab"],
  setup(__props, { expose: __expose, emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const slots = (0, import_vue2.useSlots)();
    const {
      currentTabName,
      tabs,
      isTabClosable,
      selectTab,
      closeActiveTab,
      closeTab,
      closeAllTabs,
      closeOthersTabs
    } = (0, import_useTabs.useTabs)({
      activeTab: (0, import_vue2.computed)(() => props.activeTab),
      defaultTabs: props.defaultTabs,
      beforeTabsRemove: (removeTabsConfig, next) => {
        if (props.beforeTabsRemove) {
          props.beforeTabsRemove(removeTabsConfig, next);
          return;
        }
        next();
      },
      onActiveTabChange(activeTab) {
        emit("update:activeTab", activeTab);
      }
    });
    const { allTabContextMenus, contextmenuOnTab } = (0, import_useTabContextMenu.useTabContextMenu)({
      isTabClosable,
      customTabContextMenus: (0, import_vue2.computed)(() => props.tabContextMenus),
      onCloseCurrentTab(mouseRightDownTab) {
        closeTab(mouseRightDownTab.name);
      },
      onCloseAllTabs() {
        closeAllTabs();
      },
      onCloseOthersTabs(mouseRightDownTab) {
        closeOthersTabs(mouseRightDownTab.name);
      }
    });
    const menuCollapse = (0, import_vue2.ref)(false);
    const isFullscreen = (0, import_vue2.ref)(false);
    let preTabName = "";
    const elTabsCtx = (0, import_vue2.ref)();
    const pagodaDropdownCtx = (0, import_vue2.ref)();
    const hasLogo = (0, import_vue2.computed)(() => {
      return Boolean(props.logo || slots.logo);
    });
    const hasLogoText = (0, import_vue2.computed)(() => {
      return Boolean(props.logoText || slots["logo-text"]);
    });
    const menuCollapseClass = (0, import_vue2.computed)(() => {
      return menuCollapse.value ? "pd-icon-open" : "pd-icon-retract";
    });
    const sideElMenuAttrs = (0, import_vue2.computed)(() => {
      return __spreadProps(__spreadValues({}, props.sideElMenuProps), { collapse: menuCollapse.value });
    });
    const topElMenuAttrs = (0, import_vue2.computed)(() => {
      return __spreadProps(__spreadValues({}, props.topElMenuProps), { mode: "horizontal", ellipsis: false });
    });
    const userInfoSlots = (0, import_vue2.computed)(() => {
      return Object.keys(slots).filter((name2) => name2.startsWith("user-info")).map((name2) => name2.replace("user-info-", ""));
    });
    (0, import_vue2.watch)(
      currentTabName,
      () => {
        preTabName = currentTabName.value;
      },
      {
        immediate: true
      }
    );
    function handleMenuCollapse(val) {
      menuCollapse.value = val;
    }
    function handleTopMenuSelect(item) {
      emit("top-menu-select", item);
    }
    function handleSideMenuSelect(item) {
      emit("side-menu-select", item);
    }
    function handleTabClick(tab) {
      elTabsCtx.value.currentName = preTabName;
      selectTab(tab);
    }
    function handleTabMounseRightDown(e) {
      var _a;
      const { target } = e;
      if (target.className.split(" ").includes("el-tabs__item")) {
        e.preventDefault();
        e.stopPropagation();
        (_a = pagodaDropdownCtx.value) == null ? void 0 : _a.showOnMousePosition(e);
        const mouseRightDownTabIdx = Array.from(
          elTabsCtx.value.$el.querySelectorAll(
            ".el-tabs__item"
          )
        ).findIndex((tabs2) => tabs2 === target);
        contextmenuOnTab(tabs.value[mouseRightDownTabIdx]);
      }
    }
    __expose({
      closeTab,
      closeActiveTab,
      closeAllTabs,
      closeOthersTabs
    });
    const __returned__ = { name, props, emit, slots, currentTabName, tabs, isTabClosable, selectTab, closeActiveTab, closeTab, closeAllTabs, closeOthersTabs, allTabContextMenus, contextmenuOnTab, menuCollapse, isFullscreen, get preTabName() {
      return preTabName;
    }, set preTabName(v) {
      preTabName = v;
    }, elTabsCtx, pagodaDropdownCtx, hasLogo, hasLogoText, menuCollapseClass, sideElMenuAttrs, topElMenuAttrs, userInfoSlots, handleMenuCollapse, handleTopMenuSelect, handleSideMenuSelect, handleTabClick, handleTabMounseRightDown, get ElContainer() {
      return import_lib.ElContainer;
    }, get ElHeader() {
      return import_lib.ElHeader;
    }, get ElAside() {
      return import_lib.ElAside;
    }, get ElMain() {
      return import_lib.ElMain;
    }, get ElTabs() {
      return import_lib.ElTabs;
    }, get ElTabPane() {
      return import_lib.ElTabPane;
    }, get PagodaDropdown() {
      return import_dropdown.default;
    }, get PagodaDropdownItem() {
      return import_dropdown_item.default;
    }, LayoutUserInfo: import_user_info_vue.default, LayoutSideMenu: import_side_menu_vue.default, LayoutThemeToggler: import_theme_toggler_vue.default, get toggleDark() {
      return import_dark.toggleDark;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-layout__header-left" };
const _hoisted_2 = { class: "pagoda-layout__logo-container" };
const _hoisted_3 = {
  key: 0,
  class: "pagoda-layout__logo"
};
const _hoisted_4 = ["src"];
const _hoisted_5 = {
  key: 1,
  class: "pagoda-layout__logo-text"
};
const _hoisted_6 = { class: "pagoda-layout__header-right" };
const _hoisted_7 = {
  key: 0,
  class: "pagoda-layout__theme-toggler-content"
};
const _hoisted_8 = { class: "pagoda-layout__tabs-wrapper" };
const _hoisted_9 = { class: "pagoda-layout__main" };
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElContainer"], { class: "pagoda-layout" }, {
    default: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.withDirectives)((0, import_vue3.createVNode)(
        $setup["ElHeader"],
        { class: "pagoda-layout__header" },
        {
          default: (0, import_vue3.withCtx)(() => [
            (0, import_vue3.createCommentVNode)(" header left "),
            (0, import_vue3.createElementVNode)("div", _hoisted_1, [
              (0, import_vue3.createElementVNode)("div", _hoisted_2, [
                (0, import_vue3.createCommentVNode)(" logo "),
                $setup.hasLogo ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_3, [
                  (0, import_vue3.renderSlot)(_ctx.$slots, "logo", {}, () => [
                    (0, import_vue3.createElementVNode)("img", { src: _ctx.logo }, null, 8, _hoisted_4)
                  ])
                ])) : (0, import_vue3.createCommentVNode)("v-if", true),
                (0, import_vue3.createCommentVNode)(" logo text "),
                $setup.hasLogoText ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_5, [
                  (0, import_vue3.renderSlot)(_ctx.$slots, "logo-text", {}, () => [
                    (0, import_vue3.createElementVNode)(
                      "span",
                      null,
                      (0, import_vue3.toDisplayString)(_ctx.logoText),
                      1
                      /* TEXT */
                    )
                  ])
                ])) : (0, import_vue3.createCommentVNode)("v-if", true)
              ]),
              (0, import_vue3.createElementVNode)("div", {
                class: "pagoda-layout__menu-controller",
                onClick: _cache[0] || (_cache[0] = ($event) => $setup.handleMenuCollapse(!$setup.menuCollapse))
              }, [
                (0, import_vue3.createElementVNode)(
                  "i",
                  {
                    class: (0, import_vue3.normalizeClass)(["pagoda-layout__menu-controller-icon", [$setup.menuCollapseClass]])
                  },
                  null,
                  2
                  /* CLASS */
                )
              ])
            ]),
            (0, import_vue3.createCommentVNode)(" header right "),
            (0, import_vue3.createElementVNode)("div", _hoisted_6, [
              (0, import_vue3.renderSlot)(_ctx.$slots, "before-top-menu"),
              (0, import_vue3.createVNode)($setup["LayoutSideMenu"], {
                class: "pagoda-layout__top-menu",
                ref: "layoutTopMenuCtx",
                "el-menu-props": $setup.topElMenuAttrs,
                "title-key": _ctx.titleKey,
                "children-key": _ctx.childrenKey,
                "icon-key": _ctx.iconKey,
                "index-key": _ctx.indexKey,
                menus: _ctx.topMenus,
                onSelect: $setup.handleTopMenuSelect
              }, null, 8, ["el-menu-props", "title-key", "children-key", "icon-key", "index-key", "menus"]),
              (0, import_vue3.renderSlot)(_ctx.$slots, "after-top-menu"),
              _ctx.themeToggler ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_7, [
                (0, import_vue3.createVNode)($setup["LayoutThemeToggler"], {
                  onClick: _cache[1] || (_cache[1] = () => $setup.toggleDark())
                })
              ])) : (0, import_vue3.createCommentVNode)("v-if", true),
              (0, import_vue3.renderSlot)(_ctx.$slots, "before-user-info"),
              _ctx.userInfo ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["LayoutUserInfo"], (0, import_vue3.mergeProps)({ key: 1 }, _ctx.userInfo, {
                "on-logout": _ctx.onLogout,
                "on-operate-item-click": _ctx.onOperateItemClick
              }), (0, import_vue3.createSlots)({
                _: 2
                /* DYNAMIC */
              }, [
                (0, import_vue3.renderList)($setup.userInfoSlots, (slotName) => {
                  return {
                    name: slotName,
                    fn: (0, import_vue3.withCtx)((scope) => [
                      (0, import_vue3.renderSlot)(_ctx.$slots, `user-info-${slotName}`, (0, import_vue3.normalizeProps)((0, import_vue3.guardReactiveProps)(scope)))
                    ])
                  };
                })
              ]), 1040, ["on-logout", "on-operate-item-click"])) : (0, import_vue3.createCommentVNode)("v-if", true),
              (0, import_vue3.renderSlot)(_ctx.$slots, "after-user-info")
            ])
          ]),
          _: 3
          /* FORWARDED */
        },
        512
        /* NEED_PATCH */
      ), [
        [import_vue3.vShow, !$setup.isFullscreen]
      ]),
      (0, import_vue3.createVNode)($setup["ElContainer"], { style: { "min-height": "0" } }, {
        default: (0, import_vue3.withCtx)(() => [
          (0, import_vue3.withDirectives)((0, import_vue3.createVNode)(
            $setup["ElAside"],
            {
              ref: "elAsideCtx",
              class: "pagoda-layout__el-aside",
              width: "auto"
            },
            {
              default: (0, import_vue3.withCtx)(() => [
                (0, import_vue3.createVNode)($setup["LayoutSideMenu"], {
                  class: "pagoda-layout__side-menu",
                  ref: "layoutSideMenuCtx",
                  style: { "height": "100%" },
                  "title-key": _ctx.titleKey,
                  "children-key": _ctx.childrenKey,
                  "icon-key": _ctx.iconKey,
                  "index-key": _ctx.indexKey,
                  menus: _ctx.sideMenus,
                  "el-menu-props": $setup.sideElMenuAttrs,
                  onSelect: $setup.handleSideMenuSelect
                }, null, 8, ["title-key", "children-key", "icon-key", "index-key", "menus", "el-menu-props"])
              ]),
              _: 1
              /* STABLE */
            },
            512
            /* NEED_PATCH */
          ), [
            [import_vue3.vShow, !$setup.isFullscreen]
          ]),
          (0, import_vue3.createVNode)($setup["ElContainer"], null, {
            default: (0, import_vue3.withCtx)(() => [
              (0, import_vue3.createVNode)($setup["ElMain"], { class: "pagoda-layout__el-main" }, {
                default: (0, import_vue3.withCtx)(() => [
                  (0, import_vue3.createElementVNode)("div", _hoisted_8, [
                    $setup.tabs && $setup.tabs.length ? (0, import_vue3.withDirectives)(((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElTabs"], {
                      key: 0,
                      ref: "elTabsCtx",
                      "model-value": $setup.currentTabName,
                      class: "pagoda-layout__el-tabs",
                      type: "card",
                      onTabRemove: $setup.closeTab,
                      onTabClick: $setup.handleTabClick,
                      onContextmenu: (0, import_vue3.withModifiers)($setup.handleTabMounseRightDown, ["right"])
                    }, {
                      default: (0, import_vue3.withCtx)(() => [
                        ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
                          import_vue3.Fragment,
                          null,
                          (0, import_vue3.renderList)($setup.tabs, (item) => {
                            return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElTabPane"], (0, import_vue3.mergeProps)({
                              key: item.name,
                              ref_for: true
                            }, item, {
                              closable: $setup.isTabClosable(item)
                            }), null, 16, ["closable"]);
                          }),
                          128
                          /* KEYED_FRAGMENT */
                        ))
                      ]),
                      _: 1
                      /* STABLE */
                    }, 8, ["model-value", "onTabRemove"])), [
                      [import_vue3.vShow, !$setup.isFullscreen]
                    ]) : (0, import_vue3.createCommentVNode)("v-if", true),
                    (0, import_vue3.createVNode)(
                      $setup["PagodaDropdown"],
                      { ref: "pagodaDropdownCtx" },
                      {
                        default: (0, import_vue3.withCtx)(() => [
                          ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
                            import_vue3.Fragment,
                            null,
                            (0, import_vue3.renderList)($setup.allTabContextMenus, (contextmenu) => {
                              return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["PagodaDropdownItem"], {
                                key: contextmenu.title,
                                disabled: contextmenu.disabled,
                                divided: contextmenu.divided,
                                onClick: ($event) => contextmenu.onClick && contextmenu.onClick($event, contextmenu)
                              }, {
                                default: (0, import_vue3.withCtx)(() => [
                                  (0, import_vue3.createTextVNode)(
                                    (0, import_vue3.toDisplayString)(contextmenu.title),
                                    1
                                    /* TEXT */
                                  )
                                ]),
                                _: 2
                                /* DYNAMIC */
                              }, 1032, ["disabled", "divided", "onClick"]);
                            }),
                            128
                            /* KEYED_FRAGMENT */
                          ))
                        ]),
                        _: 1
                        /* STABLE */
                      },
                      512
                      /* NEED_PATCH */
                    ),
                    _ctx.fullscreen ? ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("span", {
                      key: 1,
                      class: "pagoda-layout__fullscreen-control",
                      onClick: _cache[2] || (_cache[2] = ($event) => $setup.isFullscreen = !$setup.isFullscreen)
                    }, [
                      (0, import_vue3.createElementVNode)(
                        "i",
                        {
                          class: (0, import_vue3.normalizeClass)(["pagoda-layout__fullscreen-icon", [$setup.isFullscreen ? "pd-icon-reduction" : "pd-icon-fullscreen"]])
                        },
                        null,
                        2
                        /* CLASS */
                      ),
                      (0, import_vue3.createTextVNode)(
                        " " + (0, import_vue3.toDisplayString)($setup.isFullscreen ? "\u8FD8\u539F" : "\u5168\u5C4F"),
                        1
                        /* TEXT */
                      )
                    ])) : (0, import_vue3.createCommentVNode)("v-if", true)
                  ]),
                  (0, import_vue3.createElementVNode)("div", _hoisted_9, [
                    (0, import_vue3.renderSlot)(_ctx.$slots, "default")
                  ])
                ]),
                _: 3
                /* FORWARDED */
              })
            ]),
            _: 3
            /* FORWARDED */
          })
        ]),
        _: 3
        /* FORWARDED */
      })
    ]),
    _: 3
    /* FORWARDED */
  });
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
