var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_lib = require("element-plus/lib/index.js");
var import_men_item_vue = __toESM(require("./men-item.vue.js"));
var import_icon = require("../../icon");
var import_side_menu = require("./types/side-menu");
var import_vue3 = require("vue");
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)({
  __name: "sub-menu",
  props: {
    menu: { type: Object, required: true },
    titleKey: { type: String, required: false, default: "title" },
    childrenKey: { type: String, required: false, default: "children" },
    iconKey: { type: String, required: false, default: "icon" },
    indexKey: { type: String, required: false, default: "index" }
  },
  setup(__props, { expose: __expose }) {
    __expose();
    const layoutSideMenuProvider = (0, import_vue2.inject)(import_side_menu.LAYOUT_SIDE_MENU_INJECTION_KEY);
    const elMenuProvider = (0, import_vue2.inject)("rootMenu");
    function handleSelectItem(e, item) {
      if (Array.from(
        document.querySelectorAll(".el-menu--popup")
      ).some((menuPopup) => menuPopup.contains(e.target))) {
        elMenuProvider.openedMenus = [];
      }
      if (item.disabled)
        return;
      layoutSideMenuProvider.sideMenuEmitter.emit(
        "pagoda-layout:side-menu-item-click",
        item
      );
    }
    const __returned__ = { layoutSideMenuProvider, elMenuProvider, handleSelectItem, get ElSubMenu() {
      return import_lib.ElSubMenu;
    }, get ElMenuItem() {
      return import_lib.ElMenuItem;
    }, get ElMenuItemGroup() {
      return import_lib.ElMenuItemGroup;
    }, LayoutMenuItem: import_men_item_vue.default, get Icon() {
      return import_icon.Icon;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
});
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_SubMenu = (0, import_vue3.resolveComponent)("SubMenu", true);
  return $props.menu[$props.childrenKey] && $props.menu[$props.childrenKey].length ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElSubMenu"], {
    key: 0,
    index: $props.menu[$props.indexKey]
  }, {
    title: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.createVNode)($setup["LayoutMenuItem"], {
        icon: $props.menu[$props.iconKey],
        title: $props.menu[$props.titleKey]
      }, null, 8, ["icon", "title"])
    ]),
    default: (0, import_vue3.withCtx)(() => [
      ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
        import_vue3.Fragment,
        null,
        (0, import_vue3.renderList)($props.menu[$props.childrenKey], (subMenu) => {
          return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
            import_vue3.Fragment,
            {
              key: subMenu[$props.titleKey]
            },
            [
              subMenu.group ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(
                $setup["ElMenuItemGroup"],
                { key: 0 },
                {
                  title: (0, import_vue3.withCtx)(() => [
                    (0, import_vue3.createTextVNode)(
                      (0, import_vue3.toDisplayString)(subMenu[$props.titleKey]),
                      1
                      /* TEXT */
                    )
                  ]),
                  default: (0, import_vue3.withCtx)(() => [
                    ((0, import_vue3.openBlock)(true), (0, import_vue3.createElementBlock)(
                      import_vue3.Fragment,
                      null,
                      (0, import_vue3.renderList)(subMenu[$props.childrenKey], (groupItem) => {
                        return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElMenuItem"], {
                          key: groupItem[$props.titleKey],
                          disabled: groupItem.disabled,
                          index: groupItem[$props.indexKey]
                        }, {
                          title: (0, import_vue3.withCtx)(() => [
                            (0, import_vue3.createVNode)($setup["LayoutMenuItem"], {
                              "show-icon": false,
                              icon: groupItem[$props.iconKey],
                              title: groupItem[$props.titleKey]
                            }, null, 8, ["icon", "title"])
                          ]),
                          default: (0, import_vue3.withCtx)(() => [
                            (0, import_vue3.createElementVNode)("div", {
                              class: "pagoda-layout-sidemenu-item-hack",
                              onClick: _cache[0] || (_cache[0] = (0, import_vue3.withModifiers)(($event) => $setup.handleSelectItem($event, $props.menu), ["stop"]))
                            }),
                            $props.menu[$props.iconKey] ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["Icon"], {
                              key: 0,
                              is: $props.menu[$props.iconKey],
                              class: "pagoda-layout-sidemenu-icon"
                            }, null, 8, ["is"])) : (0, import_vue3.createCommentVNode)("v-if", true)
                          ]),
                          _: 2
                          /* DYNAMIC */
                        }, 1032, ["disabled", "index"]);
                      }),
                      128
                      /* KEYED_FRAGMENT */
                    ))
                  ]),
                  _: 2
                  /* DYNAMIC */
                },
                1024
                /* DYNAMIC_SLOTS */
              )) : ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)(_component_SubMenu, {
                key: 1,
                menu: subMenu,
                "title-key": $props.titleKey,
                "icon-key": $props.iconKey,
                "children-key": $props.childrenKey,
                "index-key": $props.indexKey
              }, null, 8, ["menu", "title-key", "icon-key", "children-key", "index-key"]))
            ],
            64
            /* STABLE_FRAGMENT */
          );
        }),
        128
        /* KEYED_FRAGMENT */
      ))
    ]),
    _: 1
    /* STABLE */
  }, 8, ["index"])) : ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElMenuItem"], {
    key: 1,
    index: $props.menu[$props.indexKey],
    disabled: $props.menu.disabled
  }, {
    title: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.createVNode)($setup["LayoutMenuItem"], {
        "show-icon": false,
        icon: $props.menu[$props.iconKey],
        title: $props.menu[$props.titleKey]
      }, null, 8, ["icon", "title"])
    ]),
    default: (0, import_vue3.withCtx)(() => [
      (0, import_vue3.createElementVNode)("div", {
        class: "pagoda-layout-sidemenu-item-hack",
        onClick: _cache[1] || (_cache[1] = (0, import_vue3.withModifiers)(($event) => $setup.handleSelectItem($event, $props.menu), ["stop"]))
      }),
      $props.menu[$props.iconKey] ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["Icon"], {
        key: 0,
        is: $props.menu[$props.iconKey],
        class: "pagoda-layout-sidemenu-icon"
      }, null, 8, ["is"])) : (0, import_vue3.createCommentVNode)("v-if", true)
    ]),
    _: 1
    /* STABLE */
  }, 8, ["index", "disabled"]));
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
