var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_numberRange = require("./numberRange");
var import_input_number = require("../../input-number");
var import_range = require("../../range");
var import_pagoda_shared = require("pagoda-shared");
var import_utils = require("../../utils/index");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("number-range");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_numberRange.numberRangeProps,
  emits: ["update:modelValue"],
  setup(__props, { expose: __expose, emit: __emit }) {
    __expose();
    const props = __props;
    const emit = __emit;
    const clearableComputed = (0, import_vue2.computed)(() => {
      return (!(0, import_pagoda_shared.isEmpty)(rangeStartValue.value) || !(0, import_pagoda_shared.isEmpty)(rangeEndValue.value)) && props.clearable;
    });
    const rangeStartValue = (0, import_vue2.computed)(() => {
      return props.modelValue[0] || "";
    });
    const rangeEndValue = (0, import_vue2.computed)(() => {
      return props.modelValue[1] || "";
    });
    function handleRangeStartChange(val) {
      emit("update:modelValue", [val, rangeEndValue.value]);
    }
    function handleRangeEndChange(val) {
      emit("update:modelValue", [rangeStartValue.value, val]);
    }
    function handleClear() {
      emit("update:modelValue", []);
    }
    const __returned__ = { name, props, emit, clearableComputed, rangeStartValue, rangeEndValue, handleRangeStartChange, handleRangeEndChange, handleClear, get InputNumber() {
      return import_input_number.InputNumber;
    }, get Range() {
      return import_range.Range;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["Range"], {
    clearable: $setup.clearableComputed,
    "range-separator": _ctx.rangeSeparator,
    size: _ctx.size,
    onClear: $setup.handleClear
  }, {
    "range-start": (0, import_vue3.withCtx)(({ focus, blur }) => [
      (0, import_vue3.createVNode)($setup["InputNumber"], {
        size: _ctx.size,
        placeholder: _ctx.startPlaceholder,
        precision: _ctx.precision,
        "positive-number": _ctx.positiveNumber,
        "model-value": $setup.rangeStartValue,
        "onUpdate:modelValue": $setup.handleRangeStartChange,
        onFocus: focus,
        onBlur: blur
      }, null, 8, ["size", "placeholder", "precision", "positive-number", "model-value", "onFocus", "onBlur"])
    ]),
    "range-end": (0, import_vue3.withCtx)(({ focus, blur }) => [
      (0, import_vue3.createVNode)($setup["InputNumber"], {
        size: _ctx.size,
        placeholder: _ctx.endPlaceholder,
        precision: _ctx.precision,
        "positive-number": _ctx.positiveNumber,
        "model-value": $setup.rangeEndValue,
        "onUpdate:modelValue": $setup.handleRangeEndChange,
        onFocus: focus,
        onBlur: blur
      }, null, 8, ["size", "placeholder", "precision", "positive-number", "model-value", "onFocus", "onBlur"])
    ]),
    _: 1
    /* STABLE */
  }, 8, ["clearable", "range-separator", "size"]);
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
