var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  default: () => stdin_default
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_tableEditableCell = require("./tableEditableCell");
var import_lib = require("element-plus/lib/index.js");
var import_table_editable = require("../../table-editable");
var import_error = require("../../utils/error");
var import_utils = require("../../utils");
var import_vue3 = require("vue");
const name = (0, import_utils.createNamespace)("table-editable-cell");
const __default__ = {
  name
};
const __vue_sfc__ = /* @__PURE__ */ (0, import_vue.defineComponent)(__spreadProps(__spreadValues({}, __default__), {
  props: import_tableEditableCell.tableEditableCellProps,
  setup(__props, { expose: __expose }) {
    __expose();
    const tableEditableProvider = (0, import_vue2.inject)(import_table_editable.TABLE_EDITABLE_INJECTION_KEY);
    if (!tableEditableProvider) {
      throw new import_error.PagodaUiError(
        "[Component TableEditableCell]",
        "\u8BE5\u7EC4\u4EF6\u5FC5\u987B\u7ED3\u5408 TableEditable \u7EC4\u4EF6\u4F7F\u7528"
      );
    }
    const props = __props;
    if (props.prop && !tableEditableProvider.editableColumns.value.includes(props.prop)) {
      throw new import_error.PagodaUiError(
        "[Component TableEditableCell]",
        `\u8BF7\u5728editable-columns\u5C5E\u6027\u4E2D\u914D\u7F6E\u8BE5\u5B57\u6BB5\uFF1A${props.prop}`
      );
    }
    const rowStates = (0, import_vue2.ref)({});
    const cellsStates = (0, import_vue2.ref)({});
    const validateMsgTooltip = (0, import_vue2.computed)(() => {
      return tableEditableProvider.validateMsgTooltip.value;
    });
    (0, import_vue2.watch)(
      [tableEditableProvider.tableData, () => props.row],
      () => {
        rowStates.value = props.row ? tableEditableProvider.store.getRowStates(props.row) || {} : {};
        cellsStates.value = props.row ? tableEditableProvider.store.getCellsStates(props.row) || {} : {};
      },
      {
        immediate: true
      }
    );
    const ownStates = (0, import_vue2.computed)(() => {
      return props.prop ? cellsStates.value[props.prop] || {} : {};
    });
    (0, import_vue2.onBeforeMount)(() => {
      if (props.dependencies) {
        props.dependencies(
          props.row,
          ownStates.value,
          cellsStates.value,
          rowStates.value
        );
      }
    });
    function validateOwn(cb) {
      if (!props.prop)
        return;
      tableEditableProvider.validateCells([props.row], [props.prop], cb);
    }
    const __returned__ = { name, tableEditableProvider, props, rowStates, cellsStates, validateMsgTooltip, ownStates, validateOwn, get ElTooltip() {
      return import_lib.ElTooltip;
    } };
    Object.defineProperty(__returned__, "__isScriptSetup", { enumerable: false, value: true });
    return __returned__;
  }
}));
const _hoisted_1 = { class: "pagoda-table-editable-cell__content" };
const _hoisted_2 = {
  key: 1,
  class: "pagoda-table-editable-cell__content"
};
function __vue_render__(_ctx, _cache, $props, $setup, $data, $options) {
  return (0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
    "div",
    {
      class: (0, import_vue3.normalizeClass)(["pagoda-table-editable-cell", { "is-validate-error": !!$setup.ownStates.validateMsg }]),
      onMouseenter: _cache[0] || (_cache[0] = () => $setup.ownStates.hovering = true),
      onMouseleave: _cache[1] || (_cache[1] = () => $setup.ownStates.hovering = false)
    },
    [
      $setup.validateMsgTooltip ? ((0, import_vue3.openBlock)(), (0, import_vue3.createBlock)($setup["ElTooltip"], {
        key: 0,
        visible: !!$setup.ownStates.validateMsg && $setup.ownStates.hovering,
        "popper-class": "pagoda-table-editable-cell-validate-msg",
        effect: "light",
        content: $setup.ownStates.validateMsg,
        placement: "top-start",
        manual: ""
      }, {
        default: (0, import_vue3.withCtx)(() => [
          (0, import_vue3.createElementVNode)("div", _hoisted_1, [
            (0, import_vue3.renderSlot)(_ctx.$slots, "default", {
              cellsStates: $setup.cellsStates,
              rowStates: $setup.rowStates,
              ownStates: $setup.ownStates,
              validateOwn: $setup.validateOwn
            })
          ])
        ]),
        _: 3
        /* FORWARDED */
      }, 8, ["visible", "content"])) : ((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)("div", _hoisted_2, [
        (0, import_vue3.renderSlot)(_ctx.$slots, "default", {
          cellsStates: $setup.cellsStates,
          rowStates: $setup.rowStates,
          ownStates: $setup.ownStates,
          validateOwn: $setup.validateOwn
        })
      ])),
      !$setup.validateMsgTooltip ? (0, import_vue3.withDirectives)(((0, import_vue3.openBlock)(), (0, import_vue3.createElementBlock)(
        "div",
        {
          key: 2,
          class: "pagoda-table-editable-cell__error-msg"
        },
        (0, import_vue3.toDisplayString)($setup.ownStates.validateMsg),
        513
        /* TEXT, NEED_PATCH */
      )), [
        [import_vue3.vShow, !!$setup.ownStates.validateMsg]
      ]) : (0, import_vue3.createCommentVNode)("v-if", true)
    ],
    34
    /* CLASS, NEED_HYDRATION */
  );
}
__vue_sfc__.render = __vue_render__;
var stdin_default = __vue_sfc__;
