var __create = Object.create;
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var stdin_exports = {};
__export(stdin_exports, {
  useColumns: () => useColumns
});
module.exports = __toCommonJS(stdin_exports);
var import_vue = require("vue");
var import_selection = __toESM(require("../columns/selection"));
var import_columns = __toESM(require("../columns/index"));
var import_uuid = require("uuid");
function useColumns({
  columns,
  store
}) {
  const slots = (0, import_vue.useSlots)();
  const orignalColumns = (0, import_vue.computed)(() => {
    return columns.value.map((column) => {
      var _a, _b, _c;
      const slotKey = column.slot || column.prop;
      const headerSlotKey = `${slotKey}-header`;
      let defaultColumn;
      switch (column.type) {
        case "selection":
          defaultColumn = (0, import_selection.default)(store.value, column.selectable);
          break;
        case "index":
          defaultColumn = (0, import_columns.default)();
          break;
      }
      const tableColumn = Object.assign({}, defaultColumn, __spreadProps(__spreadValues({}, column), {
        key: (_a = column.key) != null ? _a : (0, import_uuid.v4)(),
        dataKey: (_b = column.dataKey) != null ? _b : column.prop,
        title: (_c = column.title) != null ? _c : column.label
      }));
      if (slotKey && slots[slotKey]) {
        tableColumn.cellRenderer = (...args) => {
          return (0, import_vue.h)(import_vue.Fragment, slots[slotKey](...args));
        };
      }
      if (slotKey && slots[headerSlotKey]) {
        tableColumn.headerCellRenderer = (...args) => {
          return (0, import_vue.h)(import_vue.Fragment, slots[headerSlotKey](...args));
        };
      }
      return tableColumn;
    });
  });
  const selectable = (0, import_vue.computed)(() => {
    var _a;
    return (_a = columns.value.find((column) => column.type === "selection")) == null ? void 0 : _a.selectable;
  });
  return {
    selectable,
    orignalColumns
  };
}
